/*   E-scape--finger protocol
     Copyright (C) 1997 Free Software Foundation, Inc.
     
     This program is free software; you can redistribute it and/or
     modify it under the terms of the GNU General Public License
     as published by the Free Software Foundation; either version 2
     of the License, or (at your option) any later version.
     
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
     
     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#include <config.h>

#include <noxt.h>
#include <libnet.h>

#include "libit/string.h"

void _E_scape_connected_finger(struct net_connection *net)
{
	char *foo;

	XtRemoveInput(net->net_id);

	net->mime_type = malloc(11);
	strcpy(net->mime_type, "text/plain");

	if (net->url.username) {
		_E_scape_net_write(net, net->url.username,
			strlen(net->url.username));
	} else {
		foo = net->url.filename;
		while (*foo == '/') foo++;
		_E_scape_net_write(net, foo, strlen(foo));
	}
	_E_scape_net_write(net, "\r\n", 2);

	_E_scape_net_input_install(net);
}
