/* Generated automagically by fsmbuild 0.7; manual editing is strongly
   discouraged.  */

#line 2 "css1.fsm"
/*   E-scape
     Copyright (C) 1997 Free Software Foundation, Inc.
     
     This program is free software; you can redistribute it and/or
     modify it under the terms of the GNU General Public License
     as published by the Free Software Foundation; either version 2
     of the License, or (at your option) any later version.
     
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
     
     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

/*	This file implements the CSS1 parser.  About the only general
	things are have to say are:

	* Read the CSS1 specs

	* This file is pretty hairy

	In many places I started implementing before I knew what the hell
	I was doing; some of this code is legacy from before fsmbuild.

	There are lots of things that could benefit from cleaning up,
	but this works (at least by the time you read this that statement
	will be true, except for fewer than a half dozen people).  */


#include <fsm.h>
#define SELECTOR 0
#define PROPERTY 1
#define PROPERTY_NAME 2
#define PROPERTY_NAME_END 3
#define PROPERTY_LWS 4
#define GENERIC_NAME 5
#define RETURN 6
#define GENERIC_NAME_LWS 7
#define GENERIC_LENGTH 8
#define GENERIC_LENGTH_DOT 9
#define GENERIC_LENGTH_NAME 10
#define GENERIC_LENGTH_LWS 11
#define GENERIC_COLOR 12
#define GENERIC_COLOR_HASH 13
#define GENERIC_COLOR_NAME 14
#define GENERIC_COLOR_RGB_R_LEAD 15
#define GENERIC_COLOR_RGB_R 16
#define GENERIC_COLOR_RGB_R_DOT 17
#define GENERIC_COLOR_RGB_R_TRAIL 18
#define GENERIC_COLOR_RGB_R_TRAIL2 19
#define GENERIC_COLOR_RGB_G_LEAD 20
#define GENERIC_COLOR_RGB_G 21
#define GENERIC_COLOR_RGB_G_DOT 22
#define GENERIC_COLOR_RGB_G_TRAIL 23
#define GENERIC_COLOR_RGB_G_TRAIL2 24
#define GENERIC_COLOR_RGB_B_LEAD 25
#define GENERIC_COLOR_RGB_B 26
#define GENERIC_COLOR_RGB_B_DOT 27
#define GENERIC_COLOR_RGB_B_TRAIL 28
#define GENERIC_COLOR_RGB_B_TRAIL2 29
#define GENERIC_COLOR_LWS 30
#define GENERIC_URL 31
#define GENERIC_URL_U 32
#define GENERIC_URL_UR 33
#define GENERIC_URL_URL 34
#define GENERIC_URL_ITSELF 35
#define GENERIC_URL_ESC 36
#define GENERIC_URL_LWS 37
#define GENERIC_MIXABLE_NAME 38
#define FONT_FAMILY 39
#define FONT_FAMILY_QUOT 40
#define FONT_FAMILY_2QUOT 41
#define FONT_FAMILY_LWS 42
#define FONT 43
#define FONT_DATA 44
#define FONT_QUOT 45
#define FONT_2QUOT 46
#define FONT_LWS 47
#define BACKGROUND 48
#define BACKGROUND_NAME 49
#define BACKGROUND_URL_STORE 50
#define BACKGROUND_NAME_LWS 51
#define BORDER 52
#define BORDER_NAME 53
#define BORDER_LWS 54
#define LIST_STYLE 55
#define LIST_STYLE_URL_STORE 56
#define LIST_STYLE_LWS 57
#define DONE 58
#define LOSE 59
#define COMMENT_MAYBE 60
#define COMMENT 61
#define COMMENT_END 62
#line 35 "css1.fsm"
#include "libit/string.h"
#include "libit/ctype.h"
#include "libtext.h"
#include "libit/malloc.h"

/* work around stupid fsmbuild parsing */
#define COLON ':'
#define COMMA ','



/*	struct parse_name_struct is used to store a table of mappings
	from string to enumeration value.  */
struct parse_name_struct {
	char *string;
	int value;
};


struct parse_name_struct font_style_mapping[] = {
	{"normal", FONT_STYLE_NORMAL},
	{"italic", FONT_STYLE_ITALIC},
	{"oblique", FONT_STYLE_OBLIQUE},
	{0, 0}
};

struct parse_name_struct font_variant_mapping[] = {
	{"normal", FONT_VARIANT_NORMAL},
	{"small-caps", FONT_VARIANT_SMALL_CAPS},
	{0, 0}
};

struct parse_name_struct font_weight_mapping[] = {
	{"100", 100},
	{"200", 200},
	{"300", 300},
	{"400", 400},
	{"500", 500},
	{"600", 600},
	{"700", 700},
	{"800", 800},
	{"900", 900},
	{"bold", FONT_WEIGHT_BOLD},
	{"normal", FONT_WEIGHT_NORMAL},
	{"bolder", FONT_WEIGHT_BOLDER},
	{"lighter", FONT_WEIGHT_LIGHTER},
	{0, 0}
};

struct parse_name_struct background_repeat_mapping[] = {
	{"repeat", BACKGROUND_REPEAT_DEFINED | BACKGROUND_REPEAT_X |
		BACKGROUND_REPEAT_Y},
	{"repeat-x", BACKGROUND_REPEAT_DEFINED | BACKGROUND_REPEAT_X},
	{"repeat-y", BACKGROUND_REPEAT_DEFINED | BACKGROUND_REPEAT_Y},
	{"no-repeat", BACKGROUND_REPEAT_DEFINED},
	{0, 0}
};

struct parse_name_struct background_scroll_mapping[] = {
	{"scroll", BACKGROUND_SCROLL},
	{"fixed", BACKGROUND_FIXED},
	{0, 0}
};

struct parse_name_struct text_decoration_mapping[] = {
	{"none", -1},
	{"underline", TEXT_DECORATION_UNDERLINE | TEXT_DECORATION_DEFINED},
	{"overline", TEXT_DECORATION_OVERLINE | TEXT_DECORATION_DEFINED},
	{"line-through", TEXT_DECORATION_LINE_THROUGH |
		TEXT_DECORATION_DEFINED},
	{"blink", TEXT_DECORATION_BLINK | TEXT_DECORATION_DEFINED},
	{0, 0}
};

struct parse_name_struct text_transform_mapping[] = {
	{"capitalize", TRANSFORM_CAPITALIZE},
	{"uppercase", TRANSFORM_UPPERCASE},
	{"lowercase", TRANSFORM_LOWERCASE},
	{"none", TRANSFORM_NONE},
	{0, 0}
};

struct parse_name_struct text_align_mapping[] = {
	{"center", JUSTIFY_CENTER},
	{"left", JUSTIFY_LEFT},
	{"right", JUSTIFY_RIGHT},
	{"justify", JUSTIFY_JUSTIFY},
	{0, 0}
};


struct parse_name_struct border_style_mapping[] = {
	{"none", BORDER_STYLE_NONE},
	{"dotted", BORDER_STYLE_DOTTED},
	{"dashed", BORDER_STYLE_DASHED},
	{"solid", BORDER_STYLE_SOLID},
	{"double", BORDER_STYLE_DOUBLE},
	{"groove", BORDER_STYLE_GROOVE},
	{"ridge", BORDER_STYLE_RIDGE},
	{"inset", BORDER_STYLE_INSET},
	{"outset", BORDER_STYLE_OUTSET},
	{0, 0}
};


struct parse_name_struct float_mode_mapping[] = {
	{"left", FLOAT_LEFT},
	{"right", FLOAT_RIGHT},
	{"none", FLOAT_NONE},
	{0, 0}
};


struct parse_name_struct clear_mapping[] = {
	{"left", CLEAR_DEFINED | CLEAR_LEFT},
	{"right", CLEAR_DEFINED | CLEAR_RIGHT},
	{"both", CLEAR_DEFINED | CLEAR_LEFT | CLEAR_RIGHT},
	{"none", CLEAR_DEFINED},
	{0, 0}
};


struct parse_name_struct display_mapping[] = {
	{"none", DISPLAY_NONE},
	{"block", DISPLAY_BLOCK},
	{"list", DISPLAY_LIST_ITEM},
	{"none", DISPLAY_NONE},
	{0, 0}
};


struct parse_name_struct list_style_position_mapping[] = {
	{"inside", LIST_STYLE_INSIDE},
	{"outside", LIST_STYLE_OUTSIDE},
	{0, 0}
};


struct parse_name_struct list_style_type_mapping[] = {
	{"none", LIST_STYLE_NONE},
	{"disc", LIST_STYLE_DISC},
	{"circle", LIST_STYLE_CIRCLE},
	{"square", LIST_STYLE_SQUARE},
	{"decimal", LIST_STYLE_DECIMAL},
	{"lower-roman", LIST_STYLE_LOWER_ROMAN},
	{"upper-roman", LIST_STYLE_UPPER_ROMAN},
	{"lower-alpha", LIST_STYLE_LOWER_ALPHA},
	{"upper-alpha", LIST_STYLE_UPPER_ALPHA},
	{0, 0}
};


struct parse_name_struct white_space_mapping[] = {
	{"normal", WHITESPACE_NORMAL},
	{"pre", WHITESPACE_PRE},
	{"nowrap", WHITESPACE_NOWRAP},
	{0, 0}
};



struct parse_name_struct length_unit_mapping[] = {
	{"normal", LENGTH_MODE_NORMAL},
	{"auto", LENGTH_MODE_AUTO},
	{"xx-small", LENGTH_MODE_ABSOLUTE},
	{"x-small", LENGTH_MODE_ABSOLUTE},
	{"small", LENGTH_MODE_ABSOLUTE},
	{"medium", LENGTH_MODE_ABSOLUTE},
	{"large", LENGTH_MODE_ABSOLUTE},
	{"x-large", LENGTH_MODE_ABSOLUTE},
	{"xx-large", LENGTH_MODE_ABSOLUTE},
	{"thin", LENGTH_MODE_ABSOLUTE},
	{"thick", LENGTH_MODE_ABSOLUTE},
	{"smaller", LENGTH_MODE_SMALLER},
	{"larger", LENGTH_MODE_LARGER},
	{"%", LENGTH_MODE_PERCENT},
	{"", LENGTH_MODE_NUMBER},
	{"ex", LENGTH_MODE_EX},
	{"em", LENGTH_MODE_EM},
	{"px", LENGTH_MODE_PX},
	{"in", LENGTH_MODE_IN},
	{"cm", LENGTH_MODE_CM},
	{"mm", LENGTH_MODE_MM},
	{"pt", LENGTH_MODE_PT},
	{"pc", LENGTH_MODE_PC},
	{"top", LENGTH_MODE_TOP},
	{"bottom", LENGTH_MODE_BOTTOM},
	{"left", LENGTH_MODE_LEFT},
	{"right", LENGTH_MODE_RIGHT},
	{"center", LENGTH_MODE_CENTER},
	{"middle", LENGTH_MODE_CENTER},
	{"baseline", LENGTH_MODE_BASELINE},
	{"sub", LENGTH_MODE_SUB},
	{"super", LENGTH_MODE_SUPER},
	{"text-top", LENGTH_MODE_TEXT_TOP},
	{"text-bottom", LENGTH_MODE_TEXT_BOTTOM},
	{0, 0}
};


struct parse_name_struct length_name_mapping[] = {
	{"xx-small", LENGTH_XX_SMALL},
	{"x-small", LENGTH_X_SMALL},
	{"small", LENGTH_SMALL},
	{"medium", LENGTH_MEDIUM},
	{"large", LENGTH_LARGE},
	{"x-large", LENGTH_X_LARGE},
	{"xx-large", LENGTH_XX_LARGE},
	{"thin", LENGTH_SMALL},
	{"thick", LENGTH_LARGE},
	{0, 0}
};


inline static void copy_int(int *dest, int *src)
{
	*dest = *src;
}

inline static int hex2int(int c)
{
	if (isdigit(c))
		return c - '0';
	return tolower(c) - 'a';
}

inline static int parse_name(struct fsm_environment *m, int *dest, 
	struct parse_name_struct *name)
{
	while (name->string) {
		if (!fsm_case_cmp(m, name->string)) {
			return *dest = name->value;
		}
	}
	return 0;
}


inline static void push_properties_state(struct css1_parser_state *x)
{
	struct fsm_environment *m = x->m;

	x->num = 0;
	x->factor = .1;
	x->dest[0] = x->dest[1] = x->dest[2] = x->dest[3] = 0;
	x->length[0].units = x->length[1].units = x->length[2].units =
		x->length[3].units = 0;
	clear_css_color(&x->color[0]);
	clear_css_color(&x->color[1]);
	clear_css_color(&x->color[2]);
	clear_css_color(&x->color[3]);
	x->url = 0;
	x->part = 0;
	fsm_push_state(m, LOSE);

	if (!fsm_case_cmp(m, "font-family")) {
		fsm_push_state(m, FONT_FAMILY);
	} else if (!fsm_case_cmp(m, "font-style")) {
		fsm_push_state(m, GENERIC_NAME);
		x->dest[0] = &x->tail_rule->properties->font_style;
		x->mapping = font_style_mapping;
	} else if (!fsm_case_cmp(m, "font-variant")) {
		fsm_push_state(m, GENERIC_NAME);
		x->dest[0] = &x->tail_rule->properties->font_variant;
		x->mapping = font_variant_mapping;
	} else if (!fsm_case_cmp(m, "font-weight")) {
		fsm_push_state(m, GENERIC_NAME);
		x->dest[0] = &x->tail_rule->properties->font_weight;
		x->mapping = font_weight_mapping;
	} else if (!fsm_case_cmp(m, "font-size")) {
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->font_size;
	} else if (!fsm_case_cmp(m, "font")) {
		fsm_push_state(m, FONT);
	} else if (!fsm_case_cmp(m, "color")) {
		fsm_push_state(m, GENERIC_COLOR);
		x->dest[0] = &x->tail_rule->properties->color;
	} else if (!fsm_case_cmp(m, "background")) {
		fsm_push_state(m, BACKGROUND);
	} else if (!fsm_case_cmp(m, "background-color")) {
		fsm_push_state(m, GENERIC_COLOR);
		x->dest[0] = &x->tail_rule->properties->background_color;
	} else if (!fsm_case_cmp(m, "background-image")) {
		fsm_push_state(m, GENERIC_URL);
		x->dest[0] = &x->tail_rule->properties->background_url;
	} else if (!fsm_case_cmp(m, "background-repeat")) {
		fsm_push_state(m, GENERIC_NAME);
		x->dest[0] = &x->tail_rule->properties->background_repeat;
		x->mapping = background_repeat_mapping;
	} else if (!fsm_case_cmp(m, "background-attachment")) {
		fsm_push_state(m, GENERIC_NAME);
		x->dest[0] = &x->tail_rule->properties->background_scroll;
		x->mapping = background_scroll_mapping;
	} else if (!fsm_case_cmp(m, "background-position")) {
		fsm_push_state(m, GENERIC_LENGTH);
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->background_position_y;
		x->dest[1] = &x->tail_rule->properties->background_position_x;
	} else if (!fsm_case_cmp(m, "word-spacing")) {
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->word_spacing;
	} else if (!fsm_case_cmp(m, "letter-spacing")) {
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->letter_spacing;
	} else if (!fsm_case_cmp(m, "text-decoration")) {
		fsm_push_state(m, GENERIC_MIXABLE_NAME);
		x->dest[0] = &x->tail_rule->properties->text_decoration;
		x->mapping = text_decoration_mapping;
	} else if (!fsm_case_cmp(m, "vertical-align")) {
		fsm_push_state (m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->vertical_align;
	} else if (!fsm_case_cmp(m, "text-transform")) {
		fsm_push_state(m, GENERIC_NAME);
		x->dest[0] = &x->tail_rule->properties->text_transform;
		x->mapping = text_transform_mapping;
	} else if (!fsm_case_cmp(m, "text-ident")) {
		fsm_push_state(m, GENERIC_NAME);
		x->dest[0] = &x->tail_rule->properties->text_align;
		x->mapping = text_align_mapping;
	} else if (!fsm_case_cmp(m, "line-height")) {
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->line_height;
	} else if (!fsm_case_cmp(m, "margin-top")) {
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->margin_top;
	} else if (!fsm_case_cmp(m, "margin-bottom")) {
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->margin_bottom;
	} else if (!fsm_case_cmp(m, "margin-left")) {
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->margin_left;
	} else if (!fsm_case_cmp(m, "margin-right")) {
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->margin_right;
	} else if (!fsm_case_cmp(m, "margin")) {
		fsm_push_state(m, GENERIC_LENGTH);
		fsm_push_state(m, GENERIC_LENGTH);
		fsm_push_state(m, GENERIC_LENGTH);
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->margin_top;
		x->dest[1] = &x->tail_rule->properties->margin_right;
		x->dest[2] = &x->tail_rule->properties->margin_bottom;
		x->dest[3] = &x->tail_rule->properties->margin_left;
	} else if (!fsm_case_cmp(m, "padding-top")) {
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->padding_top;
	} else if (!fsm_case_cmp(m, "padding-bottom")) {
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->padding_bottom;
	} else if (!fsm_case_cmp(m, "padding-left")) {
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->padding_left;
	} else if (!fsm_case_cmp(m, "padding-right")) {
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->padding_right;
	} else if (!fsm_case_cmp(m, "padding")) {
		fsm_push_state(m, GENERIC_LENGTH);
		fsm_push_state(m, GENERIC_LENGTH);
		fsm_push_state(m, GENERIC_LENGTH);
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->padding_top;
		x->dest[1] = &x->tail_rule->properties->padding_right;
		x->dest[2] = &x->tail_rule->properties->padding_bottom;
		x->dest[3] = &x->tail_rule->properties->padding_left;
	} else if (!fsm_case_cmp(m, "border")) {
		fsm_push_state(m, BORDER);
		x->dest[0] = &x->tail_rule->properties->border_top;
		x->dest[1] = &x->tail_rule->properties->border_right;
		x->dest[2] = &x->tail_rule->properties->border_bottom;
		x->dest[3] = &x->tail_rule->properties->border_left;
	} else if (!fsm_case_cmp(m, "border-top")) {
		fsm_push_state(m, BORDER);
		x->dest[0] = &x->tail_rule->properties->border_top;
	} else if (!fsm_case_cmp(m, "border-bottom")) {
		fsm_push_state(m, BORDER);
		x->dest[0] = &x->tail_rule->properties->border_bottom;
	} else if (!fsm_case_cmp(m, "border-left")) {
		fsm_push_state(m, BORDER);
		x->dest[0] = &x->tail_rule->properties->border_left;
	} else if (!fsm_case_cmp(m, "border-right")) {
		fsm_push_state(m, BORDER);
		x->dest[0] = &x->tail_rule->properties->border_right;
	} else if (!fsm_case_cmp(m, "border-color")) {
		fsm_push_state(m, GENERIC_COLOR);
		fsm_push_state(m, GENERIC_COLOR);
		fsm_push_state(m, GENERIC_COLOR);
		fsm_push_state(m, GENERIC_COLOR);
		x->dest[0] = &x->tail_rule->properties->border_top.color;
		x->dest[1] = &x->tail_rule->properties->border_right.color;
		x->dest[2] = &x->tail_rule->properties->border_bottom.color;
		x->dest[3] = &x->tail_rule->properties->border_left.color;
	} else if (!fsm_case_cmp(m, "border-width")) {
		fsm_push_state(m, GENERIC_LENGTH);
		fsm_push_state(m, GENERIC_LENGTH);
		fsm_push_state(m, GENERIC_LENGTH);
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->border_top.width;
		x->dest[1] = &x->tail_rule->properties->border_right.width;
		x->dest[2] = &x->tail_rule->properties->border_bottom.width;
		x->dest[3] = &x->tail_rule->properties->border_left.width;
	} else if (!fsm_case_cmp(m, "border-style")) {
		fsm_push_state(m, GENERIC_NAME);
		fsm_push_state(m, GENERIC_NAME);
		fsm_push_state(m, GENERIC_NAME);
		fsm_push_state(m, GENERIC_NAME);
		x->dest[0] = &x->tail_rule->properties->border_top.style;
		x->dest[1] = &x->tail_rule->properties->border_right.style;
		x->dest[2] = &x->tail_rule->properties->border_bottom.style;
		x->dest[3] = &x->tail_rule->properties->border_left.style;
		x->mapping = border_style_mapping;
	} else if (!fsm_case_cmp(m, "border-top-width")) {
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->border_top.width;
	} else if (!fsm_case_cmp(m, "border-bottom-width")) {
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->border_bottom.width;
	} else if (!fsm_case_cmp(m, "border-left-width")) {
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->border_left.width;
	} else if (!fsm_case_cmp(m, "border-right-width")) {
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->border_right.width;
	} else if (!fsm_case_cmp(m, "width")) {
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->width;
	} else if (!fsm_case_cmp(m, "height")) {
		fsm_push_state(m, GENERIC_LENGTH);
		x->dest[0] = &x->tail_rule->properties->height;
	} else if (!fsm_case_cmp(m, "float")) {
		fsm_push_state(m, GENERIC_NAME);
		x->dest[0] = &x->tail_rule->properties->float_mode;
		x->mapping = float_mode_mapping;
	} else if (!fsm_case_cmp(m, "clear")) {
		fsm_push_state(m, GENERIC_NAME);
		x->dest[0] = &x->tail_rule->properties->clear;
		x->mapping = clear_mapping;
	} else if (!fsm_case_cmp(m, "display")) {
		fsm_push_state(m, GENERIC_NAME);
		x->dest[0] = &x->tail_rule->properties->display;
		x->mapping = display_mapping;
	} else if (!fsm_case_cmp(m, "list-style")) {
		fsm_push_state(m, LIST_STYLE);
	} else if (!fsm_case_cmp(m, "list-style-position")) {
		fsm_push_state(m, GENERIC_NAME);
		x->dest[0] = &x->tail_rule->properties->list_style_type;
		x->mapping = list_style_position_mapping;
	} else if (!fsm_case_cmp(m, "list-style-image")) {
		fsm_push_state(m, GENERIC_URL);
		x->dest[0] = &x->tail_rule->properties->list_style_image_url;
	} else if (!fsm_case_cmp(m, "list-style-type")) {
		fsm_push_state(m, GENERIC_NAME);
		x->dest[0] = &x->tail_rule->properties->list_style_type;
		x->mapping = list_style_type_mapping;
	} else if (!fsm_case_cmp(m, "white-space")) {
		fsm_push_state(m, GENERIC_NAME);
		x->dest[0] = &x->tail_rule->properties->white_space;
		x->mapping = white_space_mapping;
	} else if (!fsm_case_cmp(m, "easter-egg")) {
		/* FIXME this should do something interesting */
	}
}


inline static void add_selector(struct css1_parser_state *x)
{
	struct fsm_environment *m = x->m;
	struct css_selector *p;
	struct css_rule *y;

	if (!x->tail_rule) {
		x->head_rule = x->tail_rule = malloc(sizeof(struct css_rule));
		x->tail_rule->properties = new_css_properties();
		x->sel = x->head_rule->sel =
			malloc(sizeof(struct css_selector));
		x->sel = malloc(sizeof(struct css_selector));
		x->sel->priority = 0;
		x->sel->tag = 0;
		x->sel->id = 0;
		x->sel->class = 0;
		x->sel->pseudo = 0;
	} else if (x->new_rule) {
		y = x->tail_rule;
		x->tail_rule = malloc(sizeof(struct css_rule));
		x->tail_rule->next = y;
		x->tail_rule->properties = new_css_properties();
		x->sel = malloc(sizeof(struct css_selector));
		x->sel->priority = 0;
		x->sel->tag = 0;
		x->sel->id = 0;
		x->sel->class = 0;
		x->sel->pseudo = 0;
	} else if (x->new_alt || x->new_parent) {
		p = x->sel;
		x->sel = malloc(sizeof(struct css_selector));
		x->sel->priority = 0;
		x->sel->tag = 0;
		x->sel->id = 0;
		x->sel->class = 0;
		x->sel->pseudo = 0;
		if (x->new_alt) {
			x->sel->alt = p;
			x->sel->parent = 0;
		} else {
			x->sel->parent = p;
			if (x->sel->parent) {
				x->sel->alt = x->sel->parent->alt;
				x->sel->parent->alt = 0;
			}
		}
		x->new_alt = x->new_parent = x->new_rule = 0;
	}
	switch (x->state) {
		case STATE_TAG:
			fsm_append_to_null_string(m, &x->sel->tag);
			break;
		case STATE_CLASS:
			/* FIXME this is the wrong type */
			fsm_append_to_null_string(m, &x->sel->class);
			break;
		case STATE_ID:
			fsm_append_to_null_string(m, &x->sel->id);
			break;
		case STATE_PSEUDO:
			/* FIXME this is the wrong type */
			fsm_append_to_null_string(m, &x->sel->pseudo);
			break;
	}
}

struct css1_parser_state *new_css1_parser_state(void)
{
	struct css1_parser_state *x;

	x = malloc(sizeof(struct css1_parser_state));

	x->state = STATE_TAG;
	x->new_rule = 1;
	x->new_parent = x->new_alt = 1;
	x->head_rule = x->tail_rule = 0;
	x->sel = 0;
	return x;
}

struct css_rule *finish_css1_parser(struct css1_parser_state *x)
{
	struct fsm_environment *m = x->m;
	struct css_rule *ret;

	fsm_free_environment(m);
	if (x->url)
		free(x->url);
	ret = x->head_rule;
	free(x);
	return ret;
}


#line 593 "css1.fsm"

#define FOUR_FOUR(copy_css_length, length)				\
	switch(x->part) {						\
		case 1: 						\
			if (x->dest[0])					\
				copy_css_length(x->dest[0], &x->length[0]); \
			if (x->dest[1])					\
				copy_css_length(x->dest[1], &x->length[0]); \
			if (x->dest[2])					\
				copy_css_length(x->dest[2], &x->length[0]); \
			if (x->dest[3])					\
				copy_css_length(x->dest[3], &x->length[0]); \
			break;						\
		case 2:							\
			if (x->dest[0])					\
				copy_css_length(x->dest[0], &x->length[0]); \
			if (x->dest[1])					\
				copy_css_length(x->dest[1], &x->length[1]); \
			if (x->dest[2])					\
				copy_css_length(x->dest[2], &x->length[0]); \
			if (x->dest[3])					\
				copy_css_length(x->dest[3], &x->length[1]); \
			break;						\
		case 3:							\
			if (x->dest[0])					\
				copy_css_length(x->dest[0], &x->length[0]); \
			if (x->dest[1])					\
				copy_css_length(x->dest[1], &x->length[1]); \
			if (x->dest[2])					\
				copy_css_length(x->dest[2], &x->length[2]); \
			if (x->dest[3])					\
				copy_css_length(x->dest[3], &x->length[1]); \
			break;						\
		case 4:							\
			if (x->dest[0])					\
				copy_css_length(x->dest[0], &x->length[0]); \
			if (x->dest[1])					\
				copy_css_length(x->dest[1], &x->length[1]); \
			if (x->dest[2])					\
				copy_css_length(x->dest[2], &x->length[2]); \
			if (x->dest[3])					\
				copy_css_length(x->dest[3], &x->length[3]); \
			break;						\
	}

void parse_css1(struct css1_parser_state *x, char *data, size_t data_size)
{
	struct fsm_environment *m = x->m;
	int i;
	struct css_border *border;

	if (!data) {
		x->css_done(x);
		/*	FIXME cleanup  */
	}

while (data_size > 0) {
switch (m->state) {
#line 650 "css1.fsm"
case 0:
switch (*data) {
#line 651 "css1.fsm"
case 'A':
#line 651 "css1.fsm"
case 'B':
#line 651 "css1.fsm"
case 'C':
#line 651 "css1.fsm"
case 'D':
#line 651 "css1.fsm"
case 'E':
#line 651 "css1.fsm"
case 'F':
#line 651 "css1.fsm"
case 'G':
#line 651 "css1.fsm"
case 'H':
#line 651 "css1.fsm"
case 'I':
#line 651 "css1.fsm"
case 'J':
#line 651 "css1.fsm"
case 'K':
#line 651 "css1.fsm"
case 'L':
#line 651 "css1.fsm"
case 'M':
#line 651 "css1.fsm"
case 'N':
#line 651 "css1.fsm"
case 'O':
#line 651 "css1.fsm"
case 'P':
#line 651 "css1.fsm"
case 'Q':
#line 651 "css1.fsm"
case 'R':
#line 651 "css1.fsm"
case 'S':
#line 651 "css1.fsm"
case 'T':
#line 651 "css1.fsm"
case 'U':
#line 651 "css1.fsm"
case 'V':
#line 651 "css1.fsm"
case 'W':
#line 651 "css1.fsm"
case 'X':
#line 651 "css1.fsm"
case 'Y':
#line 651 "css1.fsm"
case 'Z':
#line 651 "css1.fsm"
case 'a':
#line 651 "css1.fsm"
case 'b':
#line 651 "css1.fsm"
case 'c':
#line 651 "css1.fsm"
case 'd':
#line 651 "css1.fsm"
case 'e':
#line 651 "css1.fsm"
case 'f':
#line 651 "css1.fsm"
case 'g':
#line 651 "css1.fsm"
case 'h':
#line 651 "css1.fsm"
case 'i':
#line 651 "css1.fsm"
case 'j':
#line 651 "css1.fsm"
case 'k':
#line 651 "css1.fsm"
case 'l':
#line 651 "css1.fsm"
case 'm':
#line 651 "css1.fsm"
case 'n':
#line 651 "css1.fsm"
case 'o':
#line 651 "css1.fsm"
case 'p':
#line 651 "css1.fsm"
case 'q':
#line 651 "css1.fsm"
case 'r':
#line 651 "css1.fsm"
case 's':
#line 651 "css1.fsm"
case 't':
#line 651 "css1.fsm"
case 'u':
#line 651 "css1.fsm"
case 'v':
#line 651 "css1.fsm"
case 'w':
#line 651 "css1.fsm"
case 'x':
#line 651 "css1.fsm"
case 'y':
#line 651 "css1.fsm"
case 'z':
#line 651 "css1.fsm"
case '0':
#line 651 "css1.fsm"
case '1':
#line 651 "css1.fsm"
case '2':
#line 651 "css1.fsm"
case '3':
#line 651 "css1.fsm"
case '4':
#line 651 "css1.fsm"
case '5':
#line 651 "css1.fsm"
case '6':
#line 651 "css1.fsm"
case '7':
#line 651 "css1.fsm"
case '8':
#line 651 "css1.fsm"
case '9':
#line 651 "css1.fsm"
case '_':
#line 651 "css1.fsm"
fsm_append_char (m, (*data));
#line 651 "css1.fsm"
m->state = SELECTOR;
break;
#line 652 "css1.fsm"
case '.':
#line 652 "css1.fsm"
m->state = SELECTOR;
	add_selector(x);
	x->state = STATE_CLASS;
	continue;
break;
#line 657 "css1.fsm"
case COLON:
#line 657 "css1.fsm"
m->state = SELECTOR;
	add_selector(x);
	x->state = STATE_PSEUDO;
	continue;
break;
#line 662 "css1.fsm"
case '#':
#line 662 "css1.fsm"
m->state = SELECTOR;
	add_selector(x);
	x->state = STATE_ID;
	continue;
break;
#line 667 "css1.fsm"
case ' ':
#line 667 "css1.fsm"
case  '\t':
#line 667 "css1.fsm"
case  '\r':
#line 667 "css1.fsm"
case  '\n':
#line 667 "css1.fsm"
m->state = SELECTOR;
	add_selector(x);
	x->state = STATE_TAG;
	x->new_parent = 1;
	continue;
break;
#line 673 "css1.fsm"
case COMMA:
#line 673 "css1.fsm"
m->state = SELECTOR;
	add_selector(x);
	x->state = STATE_TAG;
	x->new_alt = 1;
	continue;
break;
#line 679 "css1.fsm"
case '/':
#line 679 "css1.fsm"
m->state = COMMENT_MAYBE;
break;
#line 680 "css1.fsm"
case '{':
#line 680 "css1.fsm"
m->state = PROPERTY;
break;
#line 681 "css1.fsm"
default:
#line 681 "css1.fsm"
m->state = SELECTOR;
	/* Treat like LWS */
	add_selector(x);
	x->state = STATE_TAG;
break;
}
break;
#line 688 "css1.fsm"
case 1:
switch (*data) {
#line 689 "css1.fsm"
case ' ':
#line 689 "css1.fsm"
case  '\t':
#line 689 "css1.fsm"
case  '\n':
#line 689 "css1.fsm"
case  '\r':
#line 689 "css1.fsm"
m->state = PROPERTY;
break;
#line 690 "css1.fsm"
case 'A':
#line 690 "css1.fsm"
case 'B':
#line 690 "css1.fsm"
case 'C':
#line 690 "css1.fsm"
case 'D':
#line 690 "css1.fsm"
case 'E':
#line 690 "css1.fsm"
case 'F':
#line 690 "css1.fsm"
case 'G':
#line 690 "css1.fsm"
case 'H':
#line 690 "css1.fsm"
case 'I':
#line 690 "css1.fsm"
case 'J':
#line 690 "css1.fsm"
case 'K':
#line 690 "css1.fsm"
case 'L':
#line 690 "css1.fsm"
case 'M':
#line 690 "css1.fsm"
case 'N':
#line 690 "css1.fsm"
case 'O':
#line 690 "css1.fsm"
case 'P':
#line 690 "css1.fsm"
case 'Q':
#line 690 "css1.fsm"
case 'R':
#line 690 "css1.fsm"
case 'S':
#line 690 "css1.fsm"
case 'T':
#line 690 "css1.fsm"
case 'U':
#line 690 "css1.fsm"
case 'V':
#line 690 "css1.fsm"
case 'W':
#line 690 "css1.fsm"
case 'X':
#line 690 "css1.fsm"
case 'Y':
#line 690 "css1.fsm"
case 'Z':
#line 690 "css1.fsm"
case 'a':
#line 690 "css1.fsm"
case 'b':
#line 690 "css1.fsm"
case 'c':
#line 690 "css1.fsm"
case 'd':
#line 690 "css1.fsm"
case 'e':
#line 690 "css1.fsm"
case 'f':
#line 690 "css1.fsm"
case 'g':
#line 690 "css1.fsm"
case 'h':
#line 690 "css1.fsm"
case 'i':
#line 690 "css1.fsm"
case 'j':
#line 690 "css1.fsm"
case 'k':
#line 690 "css1.fsm"
case 'l':
#line 690 "css1.fsm"
case 'm':
#line 690 "css1.fsm"
case 'n':
#line 690 "css1.fsm"
case 'o':
#line 690 "css1.fsm"
case 'p':
#line 690 "css1.fsm"
case 'q':
#line 690 "css1.fsm"
case 'r':
#line 690 "css1.fsm"
case 's':
#line 690 "css1.fsm"
case 't':
#line 690 "css1.fsm"
case 'u':
#line 690 "css1.fsm"
case 'v':
#line 690 "css1.fsm"
case 'w':
#line 690 "css1.fsm"
case 'x':
#line 690 "css1.fsm"
case 'y':
#line 690 "css1.fsm"
case 'z':
#line 690 "css1.fsm"
case '0':
#line 690 "css1.fsm"
case '1':
#line 690 "css1.fsm"
case '2':
#line 690 "css1.fsm"
case '3':
#line 690 "css1.fsm"
case '4':
#line 690 "css1.fsm"
case '5':
#line 690 "css1.fsm"
case '6':
#line 690 "css1.fsm"
case '7':
#line 690 "css1.fsm"
case '8':
#line 690 "css1.fsm"
case '9':
#line 690 "css1.fsm"
case '_':
#line 690 "css1.fsm"
m->state = PROPERTY_NAME;
#line 690 "css1.fsm"
continue;
break;
}
break;
#line 693 "css1.fsm"
case 2:
switch (*data) {
#line 694 "css1.fsm"
case 'A':
#line 694 "css1.fsm"
case 'B':
#line 694 "css1.fsm"
case 'C':
#line 694 "css1.fsm"
case 'D':
#line 694 "css1.fsm"
case 'E':
#line 694 "css1.fsm"
case 'F':
#line 694 "css1.fsm"
case 'G':
#line 694 "css1.fsm"
case 'H':
#line 694 "css1.fsm"
case 'I':
#line 694 "css1.fsm"
case 'J':
#line 694 "css1.fsm"
case 'K':
#line 694 "css1.fsm"
case 'L':
#line 694 "css1.fsm"
case 'M':
#line 694 "css1.fsm"
case 'N':
#line 694 "css1.fsm"
case 'O':
#line 694 "css1.fsm"
case 'P':
#line 694 "css1.fsm"
case 'Q':
#line 694 "css1.fsm"
case 'R':
#line 694 "css1.fsm"
case 'S':
#line 694 "css1.fsm"
case 'T':
#line 694 "css1.fsm"
case 'U':
#line 694 "css1.fsm"
case 'V':
#line 694 "css1.fsm"
case 'W':
#line 694 "css1.fsm"
case 'X':
#line 694 "css1.fsm"
case 'Y':
#line 694 "css1.fsm"
case 'Z':
#line 694 "css1.fsm"
case 'a':
#line 694 "css1.fsm"
case 'b':
#line 694 "css1.fsm"
case 'c':
#line 694 "css1.fsm"
case 'd':
#line 694 "css1.fsm"
case 'e':
#line 694 "css1.fsm"
case 'f':
#line 694 "css1.fsm"
case 'g':
#line 694 "css1.fsm"
case 'h':
#line 694 "css1.fsm"
case 'i':
#line 694 "css1.fsm"
case 'j':
#line 694 "css1.fsm"
case 'k':
#line 694 "css1.fsm"
case 'l':
#line 694 "css1.fsm"
case 'm':
#line 694 "css1.fsm"
case 'n':
#line 694 "css1.fsm"
case 'o':
#line 694 "css1.fsm"
case 'p':
#line 694 "css1.fsm"
case 'q':
#line 694 "css1.fsm"
case 'r':
#line 694 "css1.fsm"
case 's':
#line 694 "css1.fsm"
case 't':
#line 694 "css1.fsm"
case 'u':
#line 694 "css1.fsm"
case 'v':
#line 694 "css1.fsm"
case 'w':
#line 694 "css1.fsm"
case 'x':
#line 694 "css1.fsm"
case 'y':
#line 694 "css1.fsm"
case 'z':
#line 694 "css1.fsm"
case '0':
#line 694 "css1.fsm"
case '1':
#line 694 "css1.fsm"
case '2':
#line 694 "css1.fsm"
case '3':
#line 694 "css1.fsm"
case '4':
#line 694 "css1.fsm"
case '5':
#line 694 "css1.fsm"
case '6':
#line 694 "css1.fsm"
case '7':
#line 694 "css1.fsm"
case '8':
#line 694 "css1.fsm"
case '9':
#line 694 "css1.fsm"
case '_':
#line 694 "css1.fsm"
fsm_append_char (m, (*data));
#line 694 "css1.fsm"
m->state = PROPERTY_NAME;
break;
#line 695 "css1.fsm"
default:
#line 695 "css1.fsm"
m->state = PROPERTY_NAME_END;
break;
}
break;
#line 698 "css1.fsm"
case 3:
switch (*data) {
#line 699 "css1.fsm"
case ' ':
#line 699 "css1.fsm"
case  '\t':
#line 699 "css1.fsm"
case  '\n':
#line 699 "css1.fsm"
case  '\r':
#line 699 "css1.fsm"
m->state = PROPERTY_NAME_END;
break;
#line 700 "css1.fsm"
case COLON:
#line 700 "css1.fsm"
m->state = PROPERTY_LWS;
	push_properties_state(x);
	fsm_clear_string(m);
break;
#line 704 "css1.fsm"
default:
#line 704 "css1.fsm"
m->state = LOSE;
#line 704 "css1.fsm"
continue;
break;
}
break;
#line 707 "css1.fsm"
case 4:
switch (*data) {
#line 708 "css1.fsm"
case ' ':
#line 708 "css1.fsm"
case  '\t':
#line 708 "css1.fsm"
case  '\n':
#line 708 "css1.fsm"
case  '\r':
#line 708 "css1.fsm"
m->state = PROPERTY_LWS;
break;
#line 709 "css1.fsm"
default:
#line 709 "css1.fsm"
m->state = fsm_pop_state(m);
#line 709 "css1.fsm"
continue;
break;
}
break;
#line 712 "css1.fsm"
case 5:
switch (*data) {
#line 713 "css1.fsm"
case 'A':
#line 713 "css1.fsm"
case 'B':
#line 713 "css1.fsm"
case 'C':
#line 713 "css1.fsm"
case 'D':
#line 713 "css1.fsm"
case 'E':
#line 713 "css1.fsm"
case 'F':
#line 713 "css1.fsm"
case 'G':
#line 713 "css1.fsm"
case 'H':
#line 713 "css1.fsm"
case 'I':
#line 713 "css1.fsm"
case 'J':
#line 713 "css1.fsm"
case 'K':
#line 713 "css1.fsm"
case 'L':
#line 713 "css1.fsm"
case 'M':
#line 713 "css1.fsm"
case 'N':
#line 713 "css1.fsm"
case 'O':
#line 713 "css1.fsm"
case 'P':
#line 713 "css1.fsm"
case 'Q':
#line 713 "css1.fsm"
case 'R':
#line 713 "css1.fsm"
case 'S':
#line 713 "css1.fsm"
case 'T':
#line 713 "css1.fsm"
case 'U':
#line 713 "css1.fsm"
case 'V':
#line 713 "css1.fsm"
case 'W':
#line 713 "css1.fsm"
case 'X':
#line 713 "css1.fsm"
case 'Y':
#line 713 "css1.fsm"
case 'Z':
#line 713 "css1.fsm"
case 'a':
#line 713 "css1.fsm"
case 'b':
#line 713 "css1.fsm"
case 'c':
#line 713 "css1.fsm"
case 'd':
#line 713 "css1.fsm"
case 'e':
#line 713 "css1.fsm"
case 'f':
#line 713 "css1.fsm"
case 'g':
#line 713 "css1.fsm"
case 'h':
#line 713 "css1.fsm"
case 'i':
#line 713 "css1.fsm"
case 'j':
#line 713 "css1.fsm"
case 'k':
#line 713 "css1.fsm"
case 'l':
#line 713 "css1.fsm"
case 'm':
#line 713 "css1.fsm"
case 'n':
#line 713 "css1.fsm"
case 'o':
#line 713 "css1.fsm"
case 'p':
#line 713 "css1.fsm"
case 'q':
#line 713 "css1.fsm"
case 'r':
#line 713 "css1.fsm"
case 's':
#line 713 "css1.fsm"
case 't':
#line 713 "css1.fsm"
case 'u':
#line 713 "css1.fsm"
case 'v':
#line 713 "css1.fsm"
case 'w':
#line 713 "css1.fsm"
case 'x':
#line 713 "css1.fsm"
case 'y':
#line 713 "css1.fsm"
case 'z':
#line 713 "css1.fsm"
case '0':
#line 713 "css1.fsm"
case '1':
#line 713 "css1.fsm"
case '2':
#line 713 "css1.fsm"
case '3':
#line 713 "css1.fsm"
case '4':
#line 713 "css1.fsm"
case '5':
#line 713 "css1.fsm"
case '6':
#line 713 "css1.fsm"
case '7':
#line 713 "css1.fsm"
case '8':
#line 713 "css1.fsm"
case '9':
#line 713 "css1.fsm"
case '_':
#line 713 "css1.fsm"
fsm_append_char (m, (*data));
#line 713 "css1.fsm"
m->state = GENERIC_NAME;
break;
#line 714 "css1.fsm"
default:
#line 714 "css1.fsm"
m->state = RETURN;
	if (!parse_name(m, &x->integer[x->part], x->mapping)) {
		while (fsm_pop_state(m) != LOSE);
		fsm_push_state(m, LOSE);
	} else {
		fsm_push_state(m, GENERIC_NAME_LWS);
	}
	x->part++;
	continue;
break;
}
break;
#line 726 "css1.fsm"
case 6:
#line 726 "css1.fsm"
m->state = fsm_pop_state(m);
#line 726 "css1.fsm"
continue;
break;
#line 728 "css1.fsm"
case 7:
switch (*data) {
#line 729 "css1.fsm"
case ' ':
#line 729 "css1.fsm"
case  '\t':
#line 729 "css1.fsm"
case  '\n':
#line 729 "css1.fsm"
case  '\r':
#line 729 "css1.fsm"
m->state = GENERIC_NAME_LWS;
break;
#line 730 "css1.fsm"
case ';':
#line 730 "css1.fsm"
case  '}':
#line 730 "css1.fsm"
m->state = DONE;
	FOUR_FOUR(copy_int, integer);
	continue;
break;
#line 734 "css1.fsm"
default:
#line 734 "css1.fsm"
m->state = fsm_pop_state(m);
break;
}
break;
#line 737 "css1.fsm"
case 8:
switch (*data) {
#line 738 "css1.fsm"
case '0':
#line 738 "css1.fsm"
case '1':
#line 738 "css1.fsm"
case '2':
#line 738 "css1.fsm"
case '3':
#line 738 "css1.fsm"
case '4':
#line 738 "css1.fsm"
case '5':
#line 738 "css1.fsm"
case '6':
#line 738 "css1.fsm"
case '7':
#line 738 "css1.fsm"
case '8':
#line 738 "css1.fsm"
case '9':
#line 738 "css1.fsm"
m->state = GENERIC_LENGTH;
	x->num *= 10;
	x->num += (*data) - '0';
break;
#line 742 "css1.fsm"
case '.':
#line 742 "css1.fsm"
m->state = GENERIC_LENGTH_DOT;
break;
#line 743 "css1.fsm"
default:
#line 743 "css1.fsm"
m->state = GENERIC_LENGTH_NAME;
#line 743 "css1.fsm"
continue;
break;
}
break;
#line 746 "css1.fsm"
case 9:
switch (*data) {
#line 747 "css1.fsm"
case '0':
#line 747 "css1.fsm"
case '1':
#line 747 "css1.fsm"
case '2':
#line 747 "css1.fsm"
case '3':
#line 747 "css1.fsm"
case '4':
#line 747 "css1.fsm"
case '5':
#line 747 "css1.fsm"
case '6':
#line 747 "css1.fsm"
case '7':
#line 747 "css1.fsm"
case '8':
#line 747 "css1.fsm"
case '9':
#line 747 "css1.fsm"
m->state = GENERIC_LENGTH;
	x->num += ((*data) - '0') * x->factor;
	x->factor *= .1;
break;
#line 751 "css1.fsm"
default:
#line 751 "css1.fsm"
m->state = GENERIC_LENGTH_NAME;
#line 751 "css1.fsm"
continue;
break;
}
break;
#line 754 "css1.fsm"
case 10:
switch (*data) {
#line 755 "css1.fsm"
case 'A':
#line 755 "css1.fsm"
case 'B':
#line 755 "css1.fsm"
case 'C':
#line 755 "css1.fsm"
case 'D':
#line 755 "css1.fsm"
case 'E':
#line 755 "css1.fsm"
case 'F':
#line 755 "css1.fsm"
case 'G':
#line 755 "css1.fsm"
case 'H':
#line 755 "css1.fsm"
case 'I':
#line 755 "css1.fsm"
case 'J':
#line 755 "css1.fsm"
case 'K':
#line 755 "css1.fsm"
case 'L':
#line 755 "css1.fsm"
case 'M':
#line 755 "css1.fsm"
case 'N':
#line 755 "css1.fsm"
case 'O':
#line 755 "css1.fsm"
case 'P':
#line 755 "css1.fsm"
case 'Q':
#line 755 "css1.fsm"
case 'R':
#line 755 "css1.fsm"
case 'S':
#line 755 "css1.fsm"
case 'T':
#line 755 "css1.fsm"
case 'U':
#line 755 "css1.fsm"
case 'V':
#line 755 "css1.fsm"
case 'W':
#line 755 "css1.fsm"
case 'X':
#line 755 "css1.fsm"
case 'Y':
#line 755 "css1.fsm"
case 'Z':
#line 755 "css1.fsm"
case 'a':
#line 755 "css1.fsm"
case 'b':
#line 755 "css1.fsm"
case 'c':
#line 755 "css1.fsm"
case 'd':
#line 755 "css1.fsm"
case 'e':
#line 755 "css1.fsm"
case 'f':
#line 755 "css1.fsm"
case 'g':
#line 755 "css1.fsm"
case 'h':
#line 755 "css1.fsm"
case 'i':
#line 755 "css1.fsm"
case 'j':
#line 755 "css1.fsm"
case 'k':
#line 755 "css1.fsm"
case 'l':
#line 755 "css1.fsm"
case 'm':
#line 755 "css1.fsm"
case 'n':
#line 755 "css1.fsm"
case 'o':
#line 755 "css1.fsm"
case 'p':
#line 755 "css1.fsm"
case 'q':
#line 755 "css1.fsm"
case 'r':
#line 755 "css1.fsm"
case 's':
#line 755 "css1.fsm"
case 't':
#line 755 "css1.fsm"
case 'u':
#line 755 "css1.fsm"
case 'v':
#line 755 "css1.fsm"
case 'w':
#line 755 "css1.fsm"
case 'x':
#line 755 "css1.fsm"
case 'y':
#line 755 "css1.fsm"
case 'z':
#line 755 "css1.fsm"
case '0':
#line 755 "css1.fsm"
case '1':
#line 755 "css1.fsm"
case '2':
#line 755 "css1.fsm"
case '3':
#line 755 "css1.fsm"
case '4':
#line 755 "css1.fsm"
case '5':
#line 755 "css1.fsm"
case '6':
#line 755 "css1.fsm"
case '7':
#line 755 "css1.fsm"
case '8':
#line 755 "css1.fsm"
case '9':
#line 755 "css1.fsm"
case '_':
#line 755 "css1.fsm"
fsm_append_char (m, (*data));
#line 755 "css1.fsm"
m->state = GENERIC_LENGTH_NAME;
break;
#line 756 "css1.fsm"
default:
#line 756 "css1.fsm"
m->state = GENERIC_LENGTH_LWS;
	if (parse_name(m, (int *)&x->length[x->part].units,
			length_unit_mapping)) {
		if (x->length[x->part].units == LENGTH_MODE_ABSOLUTE) {
			parse_name(m, (int *)&x->length[x->part].value,
				length_name_mapping);
		} else {
			x->length[x->part].value = x->num;
		}
	}
	fsm_clear_string(m);
	x->part++;
	x->num = 0;
	x->factor = .1;
	continue;
break;
}
break;
#line 773 "css1.fsm"
case 11:
switch (*data) {
#line 774 "css1.fsm"
case ' ':
#line 774 "css1.fsm"
case  '\t':
#line 774 "css1.fsm"
case  '\n':
#line 774 "css1.fsm"
case  '\r':
#line 774 "css1.fsm"
m->state = GENERIC_LENGTH_LWS;
break;
#line 775 "css1.fsm"
case ';':
#line 775 "css1.fsm"
case  '}':
#line 775 "css1.fsm"
m->state = DONE;
	while (fsm_pop_state(m) != LOSE);
	FOUR_FOUR(copy_css_length, length);
	continue;
break;
#line 780 "css1.fsm"
default:
#line 780 "css1.fsm"
m->state = fsm_pop_state(m);
#line 780 "css1.fsm"
continue;
break;
}
break;
#line 783 "css1.fsm"
case 12:
switch (*data) {
#line 784 "css1.fsm"
case '#':
#line 784 "css1.fsm"
m->state = GENERIC_COLOR_HASH;
break;
#line 785 "css1.fsm"
case 'A':
#line 785 "css1.fsm"
case 'B':
#line 785 "css1.fsm"
case 'C':
#line 785 "css1.fsm"
case 'D':
#line 785 "css1.fsm"
case 'E':
#line 785 "css1.fsm"
case 'F':
#line 785 "css1.fsm"
case 'G':
#line 785 "css1.fsm"
case 'H':
#line 785 "css1.fsm"
case 'I':
#line 785 "css1.fsm"
case 'J':
#line 785 "css1.fsm"
case 'K':
#line 785 "css1.fsm"
case 'L':
#line 785 "css1.fsm"
case 'M':
#line 785 "css1.fsm"
case 'N':
#line 785 "css1.fsm"
case 'O':
#line 785 "css1.fsm"
case 'P':
#line 785 "css1.fsm"
case 'Q':
#line 785 "css1.fsm"
case 'R':
#line 785 "css1.fsm"
case 'S':
#line 785 "css1.fsm"
case 'T':
#line 785 "css1.fsm"
case 'U':
#line 785 "css1.fsm"
case 'V':
#line 785 "css1.fsm"
case 'W':
#line 785 "css1.fsm"
case 'X':
#line 785 "css1.fsm"
case 'Y':
#line 785 "css1.fsm"
case 'Z':
#line 785 "css1.fsm"
case 'a':
#line 785 "css1.fsm"
case 'b':
#line 785 "css1.fsm"
case 'c':
#line 785 "css1.fsm"
case 'd':
#line 785 "css1.fsm"
case 'e':
#line 785 "css1.fsm"
case 'f':
#line 785 "css1.fsm"
case 'g':
#line 785 "css1.fsm"
case 'h':
#line 785 "css1.fsm"
case 'i':
#line 785 "css1.fsm"
case 'j':
#line 785 "css1.fsm"
case 'k':
#line 785 "css1.fsm"
case 'l':
#line 785 "css1.fsm"
case 'm':
#line 785 "css1.fsm"
case 'n':
#line 785 "css1.fsm"
case 'o':
#line 785 "css1.fsm"
case 'p':
#line 785 "css1.fsm"
case 'q':
#line 785 "css1.fsm"
case 'r':
#line 785 "css1.fsm"
case 's':
#line 785 "css1.fsm"
case 't':
#line 785 "css1.fsm"
case 'u':
#line 785 "css1.fsm"
case 'v':
#line 785 "css1.fsm"
case 'w':
#line 785 "css1.fsm"
case 'x':
#line 785 "css1.fsm"
case 'y':
#line 785 "css1.fsm"
case 'z':
#line 785 "css1.fsm"
case '0':
#line 785 "css1.fsm"
case '1':
#line 785 "css1.fsm"
case '2':
#line 785 "css1.fsm"
case '3':
#line 785 "css1.fsm"
case '4':
#line 785 "css1.fsm"
case '5':
#line 785 "css1.fsm"
case '6':
#line 785 "css1.fsm"
case '7':
#line 785 "css1.fsm"
case '8':
#line 785 "css1.fsm"
case '9':
#line 785 "css1.fsm"
case '_':
#line 785 "css1.fsm"
m->state = GENERIC_COLOR_NAME;
#line 785 "css1.fsm"
continue;
break;
#line 786 "css1.fsm"
default:
#line 786 "css1.fsm"
m->state = LOSE;
break;
}
break;
#line 789 "css1.fsm"
case 13:
switch (*data) {
#line 790 "css1.fsm"
case '0':
#line 790 "css1.fsm"
case '1':
#line 790 "css1.fsm"
case '2':
#line 790 "css1.fsm"
case '3':
#line 790 "css1.fsm"
case '4':
#line 790 "css1.fsm"
case '5':
#line 790 "css1.fsm"
case '6':
#line 790 "css1.fsm"
case '7':
#line 790 "css1.fsm"
case '8':
#line 790 "css1.fsm"
case '9':
#line 790 "css1.fsm"
case 'A':
#line 790 "css1.fsm"
case 'B':
#line 790 "css1.fsm"
case 'C':
#line 790 "css1.fsm"
case 'D':
#line 790 "css1.fsm"
case 'E':
#line 790 "css1.fsm"
case 'F':
#line 790 "css1.fsm"
case 'a':
#line 790 "css1.fsm"
case 'b':
#line 790 "css1.fsm"
case 'c':
#line 790 "css1.fsm"
case 'd':
#line 790 "css1.fsm"
case 'e':
#line 790 "css1.fsm"
case 'f':
#line 790 "css1.fsm"
fsm_append_char (m, (*data));
#line 790 "css1.fsm"
m->state = GENERIC_COLOR_HASH;
break;
#line 791 "css1.fsm"
default:
#line 791 "css1.fsm"
m->state = RETURN;
	if (m->string_count == 6) {
		x->color[x->part].red = hex2int(m->string[0]) * 0x1010
			+ hex2int(m->string[1]) * 0x0101;
		x->color[x->part].green = hex2int(m->string[2]) * 0x1010
			+ hex2int(m->string[3]) * 0x0101;
		x->color[x->part].blue = hex2int(m->string[4]) * 0x1010 
			+ hex2int(m->string[5]) * 0x0101;
		fsm_push_state(m, GENERIC_COLOR_LWS);
	} else if (m->string_count == 3) {
		x->color[x->part].red = hex2int(m->string[0]) * 0x1111;
		x->color[x->part].green = hex2int(m->string[1]) * 0x1111;
		x->color[x->part].blue = hex2int(m->string[2]) * 0x1111;
		fsm_push_state(m, GENERIC_COLOR_LWS);
	} else {
		fsm_push_state(m, LOSE);
	}
	fsm_clear_string(m);
	continue;
break;
}
break;
#line 813 "css1.fsm"
case 14:
switch (*data) {
#line 814 "css1.fsm"
case 'a':
#line 814 "css1.fsm"
case 'b':
#line 814 "css1.fsm"
case 'c':
#line 814 "css1.fsm"
case 'd':
#line 814 "css1.fsm"
case 'e':
#line 814 "css1.fsm"
case 'f':
#line 814 "css1.fsm"
case 'g':
#line 814 "css1.fsm"
case 'h':
#line 814 "css1.fsm"
case 'i':
#line 814 "css1.fsm"
case 'j':
#line 814 "css1.fsm"
case 'k':
#line 814 "css1.fsm"
case 'l':
#line 814 "css1.fsm"
case 'm':
#line 814 "css1.fsm"
case 'n':
#line 814 "css1.fsm"
case 'o':
#line 814 "css1.fsm"
case 'p':
#line 814 "css1.fsm"
case 'q':
#line 814 "css1.fsm"
case 'r':
#line 814 "css1.fsm"
case 's':
#line 814 "css1.fsm"
case 't':
#line 814 "css1.fsm"
case 'u':
#line 814 "css1.fsm"
case 'v':
#line 814 "css1.fsm"
case 'w':
#line 814 "css1.fsm"
case 'x':
#line 814 "css1.fsm"
case 'y':
#line 814 "css1.fsm"
case 'z':
#line 814 "css1.fsm"
case 'A':
#line 814 "css1.fsm"
case 'B':
#line 814 "css1.fsm"
case 'C':
#line 814 "css1.fsm"
case 'D':
#line 814 "css1.fsm"
case 'E':
#line 814 "css1.fsm"
case 'F':
#line 814 "css1.fsm"
case 'G':
#line 814 "css1.fsm"
case 'H':
#line 814 "css1.fsm"
case 'I':
#line 814 "css1.fsm"
case 'J':
#line 814 "css1.fsm"
case 'K':
#line 814 "css1.fsm"
case 'L':
#line 814 "css1.fsm"
case 'M':
#line 814 "css1.fsm"
case 'N':
#line 814 "css1.fsm"
case 'O':
#line 814 "css1.fsm"
case 'P':
#line 814 "css1.fsm"
case 'Q':
#line 814 "css1.fsm"
case 'R':
#line 814 "css1.fsm"
case 'S':
#line 814 "css1.fsm"
case 'T':
#line 814 "css1.fsm"
case 'U':
#line 814 "css1.fsm"
case 'V':
#line 814 "css1.fsm"
case 'W':
#line 814 "css1.fsm"
case 'X':
#line 814 "css1.fsm"
case 'Y':
#line 814 "css1.fsm"
case 'Z':
#line 814 "css1.fsm"
fsm_append_char (m, (*data));
#line 814 "css1.fsm"
m->state = GENERIC_COLOR_NAME;
break;
#line 815 "css1.fsm"
case '(':
#line 815 "css1.fsm"
m->state = RETURN;
	if (!fsm_case_cmp(m, "rgb")) {
		fsm_push_state(m, GENERIC_COLOR_RGB_R_LEAD);
	} else {
		fsm_push_state(m, LOSE);
	}
	continue;
break;
#line 823 "css1.fsm"
default:
#line 823 "css1.fsm"
m->state = GENERIC_COLOR_LWS;
	fsm_append_to_null_string(m, &x->color[x->part].name);
	continue;
break;
}
break;
#line 828 "css1.fsm"
case 15:
switch (*data) {
#line 829 "css1.fsm"
case ' ':
#line 829 "css1.fsm"
case  '\t':
#line 829 "css1.fsm"
case  '\n':
#line 829 "css1.fsm"
case  '\r':
#line 829 "css1.fsm"
m->state = GENERIC_COLOR_RGB_R_LEAD;
break;
#line 830 "css1.fsm"
default:
#line 830 "css1.fsm"
m->state = GENERIC_COLOR_RGB_R;
#line 830 "css1.fsm"
continue;
break;
}
break;
#line 833 "css1.fsm"
case 16:
switch (*data) {
#line 834 "css1.fsm"
case '0':
#line 834 "css1.fsm"
case '1':
#line 834 "css1.fsm"
case '2':
#line 834 "css1.fsm"
case '3':
#line 834 "css1.fsm"
case '4':
#line 834 "css1.fsm"
case '5':
#line 834 "css1.fsm"
case '6':
#line 834 "css1.fsm"
case '7':
#line 834 "css1.fsm"
case '8':
#line 834 "css1.fsm"
case '9':
#line 834 "css1.fsm"
m->state = GENERIC_COLOR_RGB_R;
	x->color[x->part].red *= 10;
	x->color[x->part].red += (*data) - '0';
break;
#line 838 "css1.fsm"
case '.':
#line 838 "css1.fsm"
m->state = GENERIC_COLOR_RGB_R_DOT;
break;
#line 839 "css1.fsm"
default:
#line 839 "css1.fsm"
m->state = GENERIC_COLOR_RGB_R_TRAIL;
#line 839 "css1.fsm"
continue;
break;
}
break;
#line 842 "css1.fsm"
case 17:
switch (*data) {
#line 843 "css1.fsm"
case '0':
#line 843 "css1.fsm"
case '1':
#line 843 "css1.fsm"
case '2':
#line 843 "css1.fsm"
case '3':
#line 843 "css1.fsm"
case '4':
#line 843 "css1.fsm"
case '5':
#line 843 "css1.fsm"
case '6':
#line 843 "css1.fsm"
case '7':
#line 843 "css1.fsm"
case '8':
#line 843 "css1.fsm"
case '9':
#line 843 "css1.fsm"
m->state = GENERIC_COLOR_RGB_R_DOT;
break;
#line 844 "css1.fsm"
default:
#line 844 "css1.fsm"
m->state = GENERIC_COLOR_RGB_R_TRAIL;
#line 844 "css1.fsm"
continue;
break;
}
break;
#line 847 "css1.fsm"
case 18:
switch (*data) {
#line 848 "css1.fsm"
case ' ':
#line 848 "css1.fsm"
case  '\t':
#line 848 "css1.fsm"
case  '\n':
#line 848 "css1.fsm"
case  '\r':
#line 848 "css1.fsm"
m->state = GENERIC_COLOR_RGB_R_TRAIL;
break;
#line 849 "css1.fsm"
case COMMA:
#line 849 "css1.fsm"
m->state = GENERIC_COLOR_RGB_G_LEAD;
	x->color[x->part].red *= 256;
break;
#line 852 "css1.fsm"
case '%':
#line 852 "css1.fsm"
m->state = GENERIC_COLOR_RGB_R_TRAIL2;
	x->color[x->part].red *= 65536;
	x->color[x->part].red /= 100;
break;
#line 856 "css1.fsm"
default:
#line 856 "css1.fsm"
m->state = LOSE;
break;
}
break;
#line 859 "css1.fsm"
case 19:
switch (*data) {
#line 860 "css1.fsm"
case ' ':
#line 860 "css1.fsm"
case  '\t':
#line 860 "css1.fsm"
case  '\n':
#line 860 "css1.fsm"
case  '\r':
#line 860 "css1.fsm"
m->state = GENERIC_COLOR_RGB_R_TRAIL2;
break;
#line 861 "css1.fsm"
case COMMA:
#line 861 "css1.fsm"
m->state = GENERIC_COLOR_RGB_G_LEAD;
break;
#line 862 "css1.fsm"
default:
#line 862 "css1.fsm"
m->state = LOSE;
break;
}
break;
#line 867 "css1.fsm"
case 20:
switch (*data) {
#line 868 "css1.fsm"
case ' ':
#line 868 "css1.fsm"
case  '\t':
#line 868 "css1.fsm"
case  '\n':
#line 868 "css1.fsm"
case  '\r':
#line 868 "css1.fsm"
m->state = GENERIC_COLOR_RGB_G_LEAD;
break;
#line 869 "css1.fsm"
default:
#line 869 "css1.fsm"
m->state = GENERIC_COLOR_RGB_G;
#line 869 "css1.fsm"
continue;
break;
}
break;
#line 872 "css1.fsm"
case 21:
switch (*data) {
#line 873 "css1.fsm"
case '0':
#line 873 "css1.fsm"
case '1':
#line 873 "css1.fsm"
case '2':
#line 873 "css1.fsm"
case '3':
#line 873 "css1.fsm"
case '4':
#line 873 "css1.fsm"
case '5':
#line 873 "css1.fsm"
case '6':
#line 873 "css1.fsm"
case '7':
#line 873 "css1.fsm"
case '8':
#line 873 "css1.fsm"
case '9':
#line 873 "css1.fsm"
m->state = GENERIC_COLOR_RGB_G;
	x->color[x->part].green *= 10;
	x->color[x->part].green += (*data) - '0';
break;
#line 877 "css1.fsm"
case '.':
#line 877 "css1.fsm"
m->state = GENERIC_COLOR_RGB_G_DOT;
break;
#line 878 "css1.fsm"
default:
#line 878 "css1.fsm"
m->state = GENERIC_COLOR_RGB_G_TRAIL;
#line 878 "css1.fsm"
continue;
break;
}
break;
#line 881 "css1.fsm"
case 22:
switch (*data) {
#line 882 "css1.fsm"
case '0':
#line 882 "css1.fsm"
case '1':
#line 882 "css1.fsm"
case '2':
#line 882 "css1.fsm"
case '3':
#line 882 "css1.fsm"
case '4':
#line 882 "css1.fsm"
case '5':
#line 882 "css1.fsm"
case '6':
#line 882 "css1.fsm"
case '7':
#line 882 "css1.fsm"
case '8':
#line 882 "css1.fsm"
case '9':
#line 882 "css1.fsm"
m->state = GENERIC_COLOR_RGB_G_DOT;
break;
#line 883 "css1.fsm"
default:
#line 883 "css1.fsm"
m->state = GENERIC_COLOR_RGB_G_TRAIL;
#line 883 "css1.fsm"
continue;
break;
}
break;
#line 886 "css1.fsm"
case 23:
switch (*data) {
#line 887 "css1.fsm"
case ' ':
#line 887 "css1.fsm"
case  '\t':
#line 887 "css1.fsm"
case  '\n':
#line 887 "css1.fsm"
case  '\r':
#line 887 "css1.fsm"
m->state = GENERIC_COLOR_RGB_G_TRAIL;
break;
#line 888 "css1.fsm"
case COMMA:
#line 888 "css1.fsm"
m->state = GENERIC_COLOR_RGB_B_LEAD;
	x->color[x->part].green *= 256;
break;
#line 891 "css1.fsm"
case '%':
#line 891 "css1.fsm"
m->state = GENERIC_COLOR_RGB_G_TRAIL2;
	x->color[x->part].green *= 65536;
	x->color[x->part].green /= 100;
break;
#line 895 "css1.fsm"
default:
#line 895 "css1.fsm"
m->state = LOSE;
break;
}
break;
#line 898 "css1.fsm"
case 24:
switch (*data) {
#line 899 "css1.fsm"
case ' ':
#line 899 "css1.fsm"
case  '\t':
#line 899 "css1.fsm"
case  '\n':
#line 899 "css1.fsm"
case  '\r':
#line 899 "css1.fsm"
m->state = GENERIC_COLOR_RGB_G_TRAIL2;
break;
#line 900 "css1.fsm"
case COMMA:
#line 900 "css1.fsm"
m->state = GENERIC_COLOR_RGB_B_LEAD;
break;
#line 901 "css1.fsm"
default:
#line 901 "css1.fsm"
m->state = LOSE;
break;
}
break;
#line 905 "css1.fsm"
case 25:
switch (*data) {
#line 906 "css1.fsm"
case ' ':
#line 906 "css1.fsm"
case  '\t':
#line 906 "css1.fsm"
case  '\n':
#line 906 "css1.fsm"
case  '\r':
#line 906 "css1.fsm"
m->state = GENERIC_COLOR_RGB_B_LEAD;
break;
#line 907 "css1.fsm"
default:
#line 907 "css1.fsm"
m->state = GENERIC_COLOR_RGB_B;
#line 907 "css1.fsm"
continue;
break;
}
break;
#line 910 "css1.fsm"
case 26:
switch (*data) {
#line 911 "css1.fsm"
case '0':
#line 911 "css1.fsm"
case '1':
#line 911 "css1.fsm"
case '2':
#line 911 "css1.fsm"
case '3':
#line 911 "css1.fsm"
case '4':
#line 911 "css1.fsm"
case '5':
#line 911 "css1.fsm"
case '6':
#line 911 "css1.fsm"
case '7':
#line 911 "css1.fsm"
case '8':
#line 911 "css1.fsm"
case '9':
#line 911 "css1.fsm"
m->state = GENERIC_COLOR_RGB_B;
	x->color[x->part].blue *= 10;
	x->color[x->part].blue += (*data) - '0';
break;
#line 915 "css1.fsm"
case '.':
#line 915 "css1.fsm"
m->state = GENERIC_COLOR_RGB_B_DOT;
break;
#line 916 "css1.fsm"
default:
#line 916 "css1.fsm"
m->state = GENERIC_COLOR_RGB_B_TRAIL;
#line 916 "css1.fsm"
continue;
break;
}
break;
#line 919 "css1.fsm"
case 27:
switch (*data) {
#line 920 "css1.fsm"
case '0':
#line 920 "css1.fsm"
case '1':
#line 920 "css1.fsm"
case '2':
#line 920 "css1.fsm"
case '3':
#line 920 "css1.fsm"
case '4':
#line 920 "css1.fsm"
case '5':
#line 920 "css1.fsm"
case '6':
#line 920 "css1.fsm"
case '7':
#line 920 "css1.fsm"
case '8':
#line 920 "css1.fsm"
case '9':
#line 920 "css1.fsm"
m->state = GENERIC_COLOR_RGB_B_DOT;
break;
#line 921 "css1.fsm"
default:
#line 921 "css1.fsm"
m->state = GENERIC_COLOR_RGB_B_TRAIL;
#line 921 "css1.fsm"
continue;
break;
}
break;
#line 924 "css1.fsm"
case 28:
switch (*data) {
#line 925 "css1.fsm"
case ' ':
#line 925 "css1.fsm"
case  '\t':
#line 925 "css1.fsm"
case  '\n':
#line 925 "css1.fsm"
case  '\r':
#line 925 "css1.fsm"
m->state = GENERIC_COLOR_RGB_B_TRAIL;
break;
#line 926 "css1.fsm"
case ')':
#line 926 "css1.fsm"
m->state = GENERIC_COLOR_LWS;
	x->color[x->part].blue *= 256;
break;
#line 929 "css1.fsm"
case '%':
#line 929 "css1.fsm"
m->state = GENERIC_COLOR_RGB_B_TRAIL2;
	x->color[x->part].blue *= 65536;
	x->color[x->part].blue /= 100;
break;
}
break;
#line 934 "css1.fsm"
case 29:
switch (*data) {
#line 935 "css1.fsm"
case ' ':
#line 935 "css1.fsm"
case  '\t':
#line 935 "css1.fsm"
case  '\n':
#line 935 "css1.fsm"
case  '\r':
#line 935 "css1.fsm"
m->state = GENERIC_COLOR_RGB_B_TRAIL2;
break;
#line 936 "css1.fsm"
case ')':
#line 936 "css1.fsm"
m->state = GENERIC_COLOR_LWS;
break;
#line 937 "css1.fsm"
default:
#line 937 "css1.fsm"
m->state = LOSE;
break;
}
break;
#line 940 "css1.fsm"
case 30:
switch (*data) {
#line 941 "css1.fsm"
case ' ':
#line 941 "css1.fsm"
case  '\t':
#line 941 "css1.fsm"
case  '\n':
#line 941 "css1.fsm"
case  '\r':
#line 941 "css1.fsm"
m->state = GENERIC_COLOR_LWS;
break;
#line 942 "css1.fsm"
case '}':
#line 942 "css1.fsm"
case  ';':
#line 942 "css1.fsm"
m->state = DONE;
	while (fsm_pop_state(m) != LOSE);
	FOUR_FOUR(copy_css_color, color);
	continue;
break;
#line 947 "css1.fsm"
default:
#line 947 "css1.fsm"
m->state = fsm_pop_state(m);
	x->part++;
break;
}
break;
#line 953 "css1.fsm"
case 31:
switch (*data) {
#line 954 "css1.fsm"
case 'u':
#line 954 "css1.fsm"
case  'U':
#line 954 "css1.fsm"
m->state = GENERIC_URL_U;
break;
#line 955 "css1.fsm"
default:
#line 955 "css1.fsm"
m->state = LOSE;
break;
}
break;
#line 958 "css1.fsm"
case 32:
switch (*data) {
#line 959 "css1.fsm"
case 'r':
#line 959 "css1.fsm"
case  'R':
#line 959 "css1.fsm"
m->state = GENERIC_URL_UR;
break;
#line 960 "css1.fsm"
default:
#line 960 "css1.fsm"
m->state = LOSE;
break;
}
break;
#line 963 "css1.fsm"
case 33:
switch (*data) {
#line 964 "css1.fsm"
case 'l':
#line 964 "css1.fsm"
case  'L':
#line 964 "css1.fsm"
m->state = GENERIC_URL_URL;
break;
#line 965 "css1.fsm"
default:
#line 965 "css1.fsm"
m->state = LOSE;
break;
}
break;
#line 968 "css1.fsm"
case 34:
switch (*data) {
#line 969 "css1.fsm"
case '(':
#line 969 "css1.fsm"
m->state = GENERIC_URL_ITSELF;
	fsm_push_state(m, GENERIC_URL_LWS);
break;
#line 972 "css1.fsm"
default:
#line 972 "css1.fsm"
m->state = LOSE;
break;
}
break;
#line 975 "css1.fsm"
case 35:
switch (*data) {
#line 976 "css1.fsm"
case ')':
#line 976 "css1.fsm"
m->state = fsm_pop_state(m);
break;
#line 977 "css1.fsm"
case '\\':
#line 977 "css1.fsm"
m->state = GENERIC_URL_ESC;
break;
#line 978 "css1.fsm"
default:
#line 978 "css1.fsm"
fsm_append_char (m, (*data));
#line 978 "css1.fsm"
m->state = GENERIC_URL_ITSELF;
break;
}
break;
#line 981 "css1.fsm"
case 36:
switch (*data) {
#line 982 "css1.fsm"
default:
#line 982 "css1.fsm"
fsm_append_char (m, (*data));
#line 982 "css1.fsm"
m->state = GENERIC_URL_ITSELF;
break;
}
break;
#line 984 "css1.fsm"
case 37:
switch (*data) {
#line 985 "css1.fsm"
case ' ':
#line 985 "css1.fsm"
case  '\t':
#line 985 "css1.fsm"
case  '\n':
#line 985 "css1.fsm"
case  '\r':
#line 985 "css1.fsm"
m->state = GENERIC_URL_LWS;
break;
#line 986 "css1.fsm"
case ';':
#line 986 "css1.fsm"
case  '}':
#line 986 "css1.fsm"
m->state = DONE;
	fsm_append_to_null_string(m, x->dest[0]);
	fsm_clear_string(m);
	continue;
break;
#line 991 "css1.fsm"
default:
#line 991 "css1.fsm"
m->state = LOSE;
break;
}
break;
#line 994 "css1.fsm"
case 38:
switch (*data) {
#line 995 "css1.fsm"
case 'A':
#line 995 "css1.fsm"
case 'B':
#line 995 "css1.fsm"
case 'C':
#line 995 "css1.fsm"
case 'D':
#line 995 "css1.fsm"
case 'E':
#line 995 "css1.fsm"
case 'F':
#line 995 "css1.fsm"
case 'G':
#line 995 "css1.fsm"
case 'H':
#line 995 "css1.fsm"
case 'I':
#line 995 "css1.fsm"
case 'J':
#line 995 "css1.fsm"
case 'K':
#line 995 "css1.fsm"
case 'L':
#line 995 "css1.fsm"
case 'M':
#line 995 "css1.fsm"
case 'N':
#line 995 "css1.fsm"
case 'O':
#line 995 "css1.fsm"
case 'P':
#line 995 "css1.fsm"
case 'Q':
#line 995 "css1.fsm"
case 'R':
#line 995 "css1.fsm"
case 'S':
#line 995 "css1.fsm"
case 'T':
#line 995 "css1.fsm"
case 'U':
#line 995 "css1.fsm"
case 'V':
#line 995 "css1.fsm"
case 'W':
#line 995 "css1.fsm"
case 'X':
#line 995 "css1.fsm"
case 'Y':
#line 995 "css1.fsm"
case 'Z':
#line 995 "css1.fsm"
case 'a':
#line 995 "css1.fsm"
case 'b':
#line 995 "css1.fsm"
case 'c':
#line 995 "css1.fsm"
case 'd':
#line 995 "css1.fsm"
case 'e':
#line 995 "css1.fsm"
case 'f':
#line 995 "css1.fsm"
case 'g':
#line 995 "css1.fsm"
case 'h':
#line 995 "css1.fsm"
case 'i':
#line 995 "css1.fsm"
case 'j':
#line 995 "css1.fsm"
case 'k':
#line 995 "css1.fsm"
case 'l':
#line 995 "css1.fsm"
case 'm':
#line 995 "css1.fsm"
case 'n':
#line 995 "css1.fsm"
case 'o':
#line 995 "css1.fsm"
case 'p':
#line 995 "css1.fsm"
case 'q':
#line 995 "css1.fsm"
case 'r':
#line 995 "css1.fsm"
case 's':
#line 995 "css1.fsm"
case 't':
#line 995 "css1.fsm"
case 'u':
#line 995 "css1.fsm"
case 'v':
#line 995 "css1.fsm"
case 'w':
#line 995 "css1.fsm"
case 'x':
#line 995 "css1.fsm"
case 'y':
#line 995 "css1.fsm"
case 'z':
#line 995 "css1.fsm"
case '0':
#line 995 "css1.fsm"
case '1':
#line 995 "css1.fsm"
case '2':
#line 995 "css1.fsm"
case '3':
#line 995 "css1.fsm"
case '4':
#line 995 "css1.fsm"
case '5':
#line 995 "css1.fsm"
case '6':
#line 995 "css1.fsm"
case '7':
#line 995 "css1.fsm"
case '8':
#line 995 "css1.fsm"
case '9':
#line 995 "css1.fsm"
case '_':
#line 995 "css1.fsm"
fsm_append_char (m, (*data));
#line 995 "css1.fsm"
m->state = GENERIC_MIXABLE_NAME;
break;
#line 996 "css1.fsm"
default:
#line 996 "css1.fsm"
m->state = RETURN;
	if (parse_name(m, &x->integer[1], x->mapping)) {
		fsm_push_state(m, GENERIC_NAME_LWS);
		if (x->integer[1] == -1) {
			x->integer[0] = TEXT_DECORATION_DEFINED;
		} else {
			x->integer[0] |= x->integer[1];
		}
	}
	continue;
break;
}
break;
#line 1009 "css1.fsm"
case 39:
switch (*data) {
#line 1010 "css1.fsm"
case '"':
#line 1010 "css1.fsm"
m->state = FONT_FAMILY_2QUOT;
break;
#line 1011 "css1.fsm"
case '\'':
#line 1011 "css1.fsm"
m->state = FONT_FAMILY_QUOT;
break;
#line 1012 "css1.fsm"
case 'A':
#line 1012 "css1.fsm"
case 'B':
#line 1012 "css1.fsm"
case 'C':
#line 1012 "css1.fsm"
case 'D':
#line 1012 "css1.fsm"
case 'E':
#line 1012 "css1.fsm"
case 'F':
#line 1012 "css1.fsm"
case 'G':
#line 1012 "css1.fsm"
case 'H':
#line 1012 "css1.fsm"
case 'I':
#line 1012 "css1.fsm"
case 'J':
#line 1012 "css1.fsm"
case 'K':
#line 1012 "css1.fsm"
case 'L':
#line 1012 "css1.fsm"
case 'M':
#line 1012 "css1.fsm"
case 'N':
#line 1012 "css1.fsm"
case 'O':
#line 1012 "css1.fsm"
case 'P':
#line 1012 "css1.fsm"
case 'Q':
#line 1012 "css1.fsm"
case 'R':
#line 1012 "css1.fsm"
case 'S':
#line 1012 "css1.fsm"
case 'T':
#line 1012 "css1.fsm"
case 'U':
#line 1012 "css1.fsm"
case 'V':
#line 1012 "css1.fsm"
case 'W':
#line 1012 "css1.fsm"
case 'X':
#line 1012 "css1.fsm"
case 'Y':
#line 1012 "css1.fsm"
case 'Z':
#line 1012 "css1.fsm"
case 'a':
#line 1012 "css1.fsm"
case 'b':
#line 1012 "css1.fsm"
case 'c':
#line 1012 "css1.fsm"
case 'd':
#line 1012 "css1.fsm"
case 'e':
#line 1012 "css1.fsm"
case 'f':
#line 1012 "css1.fsm"
case 'g':
#line 1012 "css1.fsm"
case 'h':
#line 1012 "css1.fsm"
case 'i':
#line 1012 "css1.fsm"
case 'j':
#line 1012 "css1.fsm"
case 'k':
#line 1012 "css1.fsm"
case 'l':
#line 1012 "css1.fsm"
case 'm':
#line 1012 "css1.fsm"
case 'n':
#line 1012 "css1.fsm"
case 'o':
#line 1012 "css1.fsm"
case 'p':
#line 1012 "css1.fsm"
case 'q':
#line 1012 "css1.fsm"
case 'r':
#line 1012 "css1.fsm"
case 's':
#line 1012 "css1.fsm"
case 't':
#line 1012 "css1.fsm"
case 'u':
#line 1012 "css1.fsm"
case 'v':
#line 1012 "css1.fsm"
case 'w':
#line 1012 "css1.fsm"
case 'x':
#line 1012 "css1.fsm"
case 'y':
#line 1012 "css1.fsm"
case 'z':
#line 1012 "css1.fsm"
case '0':
#line 1012 "css1.fsm"
case '1':
#line 1012 "css1.fsm"
case '2':
#line 1012 "css1.fsm"
case '3':
#line 1012 "css1.fsm"
case '4':
#line 1012 "css1.fsm"
case '5':
#line 1012 "css1.fsm"
case '6':
#line 1012 "css1.fsm"
case '7':
#line 1012 "css1.fsm"
case '8':
#line 1012 "css1.fsm"
case '9':
#line 1012 "css1.fsm"
case '_':
#line 1012 "css1.fsm"
fsm_append_char (m, (*data));
#line 1012 "css1.fsm"
m->state = FONT_FAMILY;
break;
#line 1013 "css1.fsm"
default:
#line 1013 "css1.fsm"
m->state = FONT_FAMILY_LWS;
	append_vector(&x->vector, strdup(fsm_tmp_null_string(m)));
	fsm_clear_string(m);
	continue;
break;
}
break;
#line 1019 "css1.fsm"
case 40:
switch (*data) {
#line 1020 "css1.fsm"
case '\'':
#line 1020 "css1.fsm"
m->state = FONT_FAMILY;
break;
#line 1021 "css1.fsm"
default:
#line 1021 "css1.fsm"
fsm_append_char (m, (*data));
#line 1021 "css1.fsm"
m->state = FONT_FAMILY_QUOT;
break;
}
break;
#line 1024 "css1.fsm"
case 41:
switch (*data) {
#line 1025 "css1.fsm"
case '"':
#line 1025 "css1.fsm"
m->state = FONT_FAMILY;
break;
#line 1026 "css1.fsm"
default:
#line 1026 "css1.fsm"
fsm_append_char (m, (*data));
#line 1026 "css1.fsm"
m->state = FONT_FAMILY_QUOT;
break;
}
break;
#line 1029 "css1.fsm"
case 42:
switch (*data) {
#line 1030 "css1.fsm"
case ' ':
#line 1030 "css1.fsm"
case  '\t':
#line 1030 "css1.fsm"
case  '\n':
#line 1030 "css1.fsm"
case  '\r':
#line 1030 "css1.fsm"
m->state = FONT_FAMILY_LWS;
break;
#line 1031 "css1.fsm"
case ';':
#line 1031 "css1.fsm"
case  '}':
#line 1031 "css1.fsm"
m->state = DONE;
	/* FIXME this is the wrong type for append_vector. */
	append_vector(&x->tail_rule->properties->font_family, x->vector);
	x->vector = 0;
	continue;
break;
#line 1037 "css1.fsm"
case 'A':
#line 1037 "css1.fsm"
case 'B':
#line 1037 "css1.fsm"
case 'C':
#line 1037 "css1.fsm"
case 'D':
#line 1037 "css1.fsm"
case 'E':
#line 1037 "css1.fsm"
case 'F':
#line 1037 "css1.fsm"
case 'G':
#line 1037 "css1.fsm"
case 'H':
#line 1037 "css1.fsm"
case 'I':
#line 1037 "css1.fsm"
case 'J':
#line 1037 "css1.fsm"
case 'K':
#line 1037 "css1.fsm"
case 'L':
#line 1037 "css1.fsm"
case 'M':
#line 1037 "css1.fsm"
case 'N':
#line 1037 "css1.fsm"
case 'O':
#line 1037 "css1.fsm"
case 'P':
#line 1037 "css1.fsm"
case 'Q':
#line 1037 "css1.fsm"
case 'R':
#line 1037 "css1.fsm"
case 'S':
#line 1037 "css1.fsm"
case 'T':
#line 1037 "css1.fsm"
case 'U':
#line 1037 "css1.fsm"
case 'V':
#line 1037 "css1.fsm"
case 'W':
#line 1037 "css1.fsm"
case 'X':
#line 1037 "css1.fsm"
case 'Y':
#line 1037 "css1.fsm"
case 'Z':
#line 1037 "css1.fsm"
case 'a':
#line 1037 "css1.fsm"
case 'b':
#line 1037 "css1.fsm"
case 'c':
#line 1037 "css1.fsm"
case 'd':
#line 1037 "css1.fsm"
case 'e':
#line 1037 "css1.fsm"
case 'f':
#line 1037 "css1.fsm"
case 'g':
#line 1037 "css1.fsm"
case 'h':
#line 1037 "css1.fsm"
case 'i':
#line 1037 "css1.fsm"
case 'j':
#line 1037 "css1.fsm"
case 'k':
#line 1037 "css1.fsm"
case 'l':
#line 1037 "css1.fsm"
case 'm':
#line 1037 "css1.fsm"
case 'n':
#line 1037 "css1.fsm"
case 'o':
#line 1037 "css1.fsm"
case 'p':
#line 1037 "css1.fsm"
case 'q':
#line 1037 "css1.fsm"
case 'r':
#line 1037 "css1.fsm"
case 's':
#line 1037 "css1.fsm"
case 't':
#line 1037 "css1.fsm"
case 'u':
#line 1037 "css1.fsm"
case 'v':
#line 1037 "css1.fsm"
case 'w':
#line 1037 "css1.fsm"
case 'x':
#line 1037 "css1.fsm"
case 'y':
#line 1037 "css1.fsm"
case 'z':
#line 1037 "css1.fsm"
case '0':
#line 1037 "css1.fsm"
case '1':
#line 1037 "css1.fsm"
case '2':
#line 1037 "css1.fsm"
case '3':
#line 1037 "css1.fsm"
case '4':
#line 1037 "css1.fsm"
case '5':
#line 1037 "css1.fsm"
case '6':
#line 1037 "css1.fsm"
case '7':
#line 1037 "css1.fsm"
case '8':
#line 1037 "css1.fsm"
case '9':
#line 1037 "css1.fsm"
case '_':
#line 1037 "css1.fsm"
case  '"':
#line 1037 "css1.fsm"
case  '\'':
#line 1037 "css1.fsm"
m->state = FONT_FAMILY;
#line 1037 "css1.fsm"
continue;
break;
#line 1038 "css1.fsm"
default:
#line 1038 "css1.fsm"
m->state = LOSE;
	free_vector(x->vector);
	x->vector = 0;
	continue;
break;
}
break;
#line 1045 "css1.fsm"
case 43:
switch (*data) {
#line 1046 "css1.fsm"
case '0':
#line 1046 "css1.fsm"
case '1':
#line 1046 "css1.fsm"
case '2':
#line 1046 "css1.fsm"
case '3':
#line 1046 "css1.fsm"
case '4':
#line 1046 "css1.fsm"
case '5':
#line 1046 "css1.fsm"
case '6':
#line 1046 "css1.fsm"
case '7':
#line 1046 "css1.fsm"
case '8':
#line 1046 "css1.fsm"
case '9':
#line 1046 "css1.fsm"
m->state = GENERIC_LENGTH;
	fsm_push_state(m, FONT);
	x->part = 0;
	continue;
break;
#line 1051 "css1.fsm"
default:
#line 1051 "css1.fsm"
m->state = FONT;
#line 1051 "css1.fsm"
continue;
break;
}
break;
#line 1054 "css1.fsm"
case 44:
switch (*data) {
#line 1055 "css1.fsm"
case '"':
#line 1055 "css1.fsm"
m->state = FONT_2QUOT;
break;
#line 1056 "css1.fsm"
case '\'':
#line 1056 "css1.fsm"
m->state = FONT_QUOT;
break;
#line 1057 "css1.fsm"
case 'A':
#line 1057 "css1.fsm"
case 'B':
#line 1057 "css1.fsm"
case 'C':
#line 1057 "css1.fsm"
case 'D':
#line 1057 "css1.fsm"
case 'E':
#line 1057 "css1.fsm"
case 'F':
#line 1057 "css1.fsm"
case 'G':
#line 1057 "css1.fsm"
case 'H':
#line 1057 "css1.fsm"
case 'I':
#line 1057 "css1.fsm"
case 'J':
#line 1057 "css1.fsm"
case 'K':
#line 1057 "css1.fsm"
case 'L':
#line 1057 "css1.fsm"
case 'M':
#line 1057 "css1.fsm"
case 'N':
#line 1057 "css1.fsm"
case 'O':
#line 1057 "css1.fsm"
case 'P':
#line 1057 "css1.fsm"
case 'Q':
#line 1057 "css1.fsm"
case 'R':
#line 1057 "css1.fsm"
case 'S':
#line 1057 "css1.fsm"
case 'T':
#line 1057 "css1.fsm"
case 'U':
#line 1057 "css1.fsm"
case 'V':
#line 1057 "css1.fsm"
case 'W':
#line 1057 "css1.fsm"
case 'X':
#line 1057 "css1.fsm"
case 'Y':
#line 1057 "css1.fsm"
case 'Z':
#line 1057 "css1.fsm"
case 'a':
#line 1057 "css1.fsm"
case 'b':
#line 1057 "css1.fsm"
case 'c':
#line 1057 "css1.fsm"
case 'd':
#line 1057 "css1.fsm"
case 'e':
#line 1057 "css1.fsm"
case 'f':
#line 1057 "css1.fsm"
case 'g':
#line 1057 "css1.fsm"
case 'h':
#line 1057 "css1.fsm"
case 'i':
#line 1057 "css1.fsm"
case 'j':
#line 1057 "css1.fsm"
case 'k':
#line 1057 "css1.fsm"
case 'l':
#line 1057 "css1.fsm"
case 'm':
#line 1057 "css1.fsm"
case 'n':
#line 1057 "css1.fsm"
case 'o':
#line 1057 "css1.fsm"
case 'p':
#line 1057 "css1.fsm"
case 'q':
#line 1057 "css1.fsm"
case 'r':
#line 1057 "css1.fsm"
case 's':
#line 1057 "css1.fsm"
case 't':
#line 1057 "css1.fsm"
case 'u':
#line 1057 "css1.fsm"
case 'v':
#line 1057 "css1.fsm"
case 'w':
#line 1057 "css1.fsm"
case 'x':
#line 1057 "css1.fsm"
case 'y':
#line 1057 "css1.fsm"
case 'z':
#line 1057 "css1.fsm"
case '0':
#line 1057 "css1.fsm"
case '1':
#line 1057 "css1.fsm"
case '2':
#line 1057 "css1.fsm"
case '3':
#line 1057 "css1.fsm"
case '4':
#line 1057 "css1.fsm"
case '5':
#line 1057 "css1.fsm"
case '6':
#line 1057 "css1.fsm"
case '7':
#line 1057 "css1.fsm"
case '8':
#line 1057 "css1.fsm"
case '9':
#line 1057 "css1.fsm"
case '_':
#line 1057 "css1.fsm"
fsm_append_char (m, (*data));
#line 1057 "css1.fsm"
m->state = FONT_DATA;
break;
#line 1058 "css1.fsm"
default:
#line 1058 "css1.fsm"
m->state = FONT_LWS;
	if (parse_name(m, &x->integer[0], font_style_mapping)) {
	} else if (parse_name(m, &x->integer[1], font_variant_mapping)) {
	} else if (parse_name(m, &x->integer[2], font_weight_mapping)) {
	} else if (parse_name(m, (int *) &x->length[0].units,
		length_unit_mapping)) {
		parse_name(m, &x->length[0].value, length_name_mapping);
	} else {
		append_vector(&x->vector, strdup(fsm_tmp_null_string(m)));
	}
	fsm_clear_string(m);
	continue;
break;
}
break;
#line 1072 "css1.fsm"
case 45:
switch (*data) {
#line 1073 "css1.fsm"
case '\'':
#line 1073 "css1.fsm"
m->state = FONT_DATA;
break;
#line 1074 "css1.fsm"
default:
#line 1074 "css1.fsm"
fsm_append_char (m, (*data));
#line 1074 "css1.fsm"
m->state = FONT_QUOT;
break;
}
break;
#line 1077 "css1.fsm"
case 46:
switch (*data) {
#line 1078 "css1.fsm"
case '"':
#line 1078 "css1.fsm"
m->state = FONT_DATA;
break;
#line 1079 "css1.fsm"
default:
#line 1079 "css1.fsm"
fsm_append_char (m, (*data));
#line 1079 "css1.fsm"
m->state = FONT_QUOT;
break;
}
break;
#line 1082 "css1.fsm"
case 47:
switch (*data) {
#line 1083 "css1.fsm"
case ' ':
#line 1083 "css1.fsm"
case  '\t':
#line 1083 "css1.fsm"
case  '\n':
#line 1083 "css1.fsm"
case  '\r':
#line 1083 "css1.fsm"
m->state = FONT_LWS;
break;
#line 1084 "css1.fsm"
case ';':
#line 1084 "css1.fsm"
case  '}':
#line 1084 "css1.fsm"
m->state = DONE;
	free_vector(x->tail_rule->properties->font_family);
	x->tail_rule->properties->font_family = x->vector;
	x->tail_rule->properties->font_style = x->integer[0];
	x->tail_rule->properties->font_variant = x->integer[1];
	x->tail_rule->properties->font_weight = x->integer[2];
	copy_css_length(&x->tail_rule->properties->font_size, &x->length[0]);
	continue;
break;
#line 1093 "css1.fsm"
case 'A':
#line 1093 "css1.fsm"
case 'B':
#line 1093 "css1.fsm"
case 'C':
#line 1093 "css1.fsm"
case 'D':
#line 1093 "css1.fsm"
case 'E':
#line 1093 "css1.fsm"
case 'F':
#line 1093 "css1.fsm"
case 'G':
#line 1093 "css1.fsm"
case 'H':
#line 1093 "css1.fsm"
case 'I':
#line 1093 "css1.fsm"
case 'J':
#line 1093 "css1.fsm"
case 'K':
#line 1093 "css1.fsm"
case 'L':
#line 1093 "css1.fsm"
case 'M':
#line 1093 "css1.fsm"
case 'N':
#line 1093 "css1.fsm"
case 'O':
#line 1093 "css1.fsm"
case 'P':
#line 1093 "css1.fsm"
case 'Q':
#line 1093 "css1.fsm"
case 'R':
#line 1093 "css1.fsm"
case 'S':
#line 1093 "css1.fsm"
case 'T':
#line 1093 "css1.fsm"
case 'U':
#line 1093 "css1.fsm"
case 'V':
#line 1093 "css1.fsm"
case 'W':
#line 1093 "css1.fsm"
case 'X':
#line 1093 "css1.fsm"
case 'Y':
#line 1093 "css1.fsm"
case 'Z':
#line 1093 "css1.fsm"
case 'a':
#line 1093 "css1.fsm"
case 'b':
#line 1093 "css1.fsm"
case 'c':
#line 1093 "css1.fsm"
case 'd':
#line 1093 "css1.fsm"
case 'e':
#line 1093 "css1.fsm"
case 'f':
#line 1093 "css1.fsm"
case 'g':
#line 1093 "css1.fsm"
case 'h':
#line 1093 "css1.fsm"
case 'i':
#line 1093 "css1.fsm"
case 'j':
#line 1093 "css1.fsm"
case 'k':
#line 1093 "css1.fsm"
case 'l':
#line 1093 "css1.fsm"
case 'm':
#line 1093 "css1.fsm"
case 'n':
#line 1093 "css1.fsm"
case 'o':
#line 1093 "css1.fsm"
case 'p':
#line 1093 "css1.fsm"
case 'q':
#line 1093 "css1.fsm"
case 'r':
#line 1093 "css1.fsm"
case 's':
#line 1093 "css1.fsm"
case 't':
#line 1093 "css1.fsm"
case 'u':
#line 1093 "css1.fsm"
case 'v':
#line 1093 "css1.fsm"
case 'w':
#line 1093 "css1.fsm"
case 'x':
#line 1093 "css1.fsm"
case 'y':
#line 1093 "css1.fsm"
case 'z':
#line 1093 "css1.fsm"
case '0':
#line 1093 "css1.fsm"
case '1':
#line 1093 "css1.fsm"
case '2':
#line 1093 "css1.fsm"
case '3':
#line 1093 "css1.fsm"
case '4':
#line 1093 "css1.fsm"
case '5':
#line 1093 "css1.fsm"
case '6':
#line 1093 "css1.fsm"
case '7':
#line 1093 "css1.fsm"
case '8':
#line 1093 "css1.fsm"
case '9':
#line 1093 "css1.fsm"
case '_':
#line 1093 "css1.fsm"
case  '"':
#line 1093 "css1.fsm"
case  '\'':
#line 1093 "css1.fsm"
m->state = FONT;
#line 1093 "css1.fsm"
continue;
break;
#line 1094 "css1.fsm"
default:
#line 1094 "css1.fsm"
m->state = LOSE;
	free_vector(x->tail_rule->properties->font_family);
	continue;
break;
}
break;
#line 1101 "css1.fsm"
case 48:
switch (*data) {
#line 1102 "css1.fsm"
case 'A':
#line 1102 "css1.fsm"
case 'B':
#line 1102 "css1.fsm"
case 'C':
#line 1102 "css1.fsm"
case 'D':
#line 1102 "css1.fsm"
case 'E':
#line 1102 "css1.fsm"
case 'F':
#line 1102 "css1.fsm"
case 'G':
#line 1102 "css1.fsm"
case 'H':
#line 1102 "css1.fsm"
case 'I':
#line 1102 "css1.fsm"
case 'J':
#line 1102 "css1.fsm"
case 'K':
#line 1102 "css1.fsm"
case 'L':
#line 1102 "css1.fsm"
case 'M':
#line 1102 "css1.fsm"
case 'N':
#line 1102 "css1.fsm"
case 'O':
#line 1102 "css1.fsm"
case 'P':
#line 1102 "css1.fsm"
case 'Q':
#line 1102 "css1.fsm"
case 'R':
#line 1102 "css1.fsm"
case 'S':
#line 1102 "css1.fsm"
case 'T':
#line 1102 "css1.fsm"
case 'U':
#line 1102 "css1.fsm"
case 'V':
#line 1102 "css1.fsm"
case 'W':
#line 1102 "css1.fsm"
case 'X':
#line 1102 "css1.fsm"
case 'Y':
#line 1102 "css1.fsm"
case 'Z':
#line 1102 "css1.fsm"
case 'a':
#line 1102 "css1.fsm"
case 'b':
#line 1102 "css1.fsm"
case 'c':
#line 1102 "css1.fsm"
case 'd':
#line 1102 "css1.fsm"
case 'e':
#line 1102 "css1.fsm"
case 'f':
#line 1102 "css1.fsm"
case 'g':
#line 1102 "css1.fsm"
case 'h':
#line 1102 "css1.fsm"
case 'i':
#line 1102 "css1.fsm"
case 'j':
#line 1102 "css1.fsm"
case 'k':
#line 1102 "css1.fsm"
case 'l':
#line 1102 "css1.fsm"
case 'm':
#line 1102 "css1.fsm"
case 'n':
#line 1102 "css1.fsm"
case 'o':
#line 1102 "css1.fsm"
case 'p':
#line 1102 "css1.fsm"
case 'q':
#line 1102 "css1.fsm"
case 'r':
#line 1102 "css1.fsm"
case 's':
#line 1102 "css1.fsm"
case 't':
#line 1102 "css1.fsm"
case 'u':
#line 1102 "css1.fsm"
case 'v':
#line 1102 "css1.fsm"
case 'w':
#line 1102 "css1.fsm"
case 'x':
#line 1102 "css1.fsm"
case 'y':
#line 1102 "css1.fsm"
case 'z':
#line 1102 "css1.fsm"
m->state = BACKGROUND_NAME;
#line 1102 "css1.fsm"
continue;
break;
#line 1103 "css1.fsm"
case '#':
#line 1103 "css1.fsm"
m->state = GENERIC_COLOR_HASH;
	fsm_push_state(m, BACKGROUND);
	x->part = 0;
break;
#line 1107 "css1.fsm"
case '0':
#line 1107 "css1.fsm"
case '1':
#line 1107 "css1.fsm"
case '2':
#line 1107 "css1.fsm"
case '3':
#line 1107 "css1.fsm"
case '4':
#line 1107 "css1.fsm"
case '5':
#line 1107 "css1.fsm"
case '6':
#line 1107 "css1.fsm"
case '7':
#line 1107 "css1.fsm"
case '8':
#line 1107 "css1.fsm"
case '9':
#line 1107 "css1.fsm"
m->state = RETURN;
	fsm_push_state(m, BACKGROUND);
	if (!x->length[0].units) {
		x->part = 0;
		fsm_push_state(m, GENERIC_LENGTH);
	} else {
		if (!x->length[1].units) {
			x->part = 1;
			fsm_push_state(m, GENERIC_LENGTH);
		} else {
			fsm_push_state(m, LOSE);
		}
	}
	continue;
break;
#line 1122 "css1.fsm"
default:
#line 1122 "css1.fsm"
m->state = LOSE;
#line 1122 "css1.fsm"
continue;
break;
}
break;
#line 1125 "css1.fsm"
case 49:
switch (*data) {
#line 1126 "css1.fsm"
case 'A':
#line 1126 "css1.fsm"
case 'B':
#line 1126 "css1.fsm"
case 'C':
#line 1126 "css1.fsm"
case 'D':
#line 1126 "css1.fsm"
case 'E':
#line 1126 "css1.fsm"
case 'F':
#line 1126 "css1.fsm"
case 'G':
#line 1126 "css1.fsm"
case 'H':
#line 1126 "css1.fsm"
case 'I':
#line 1126 "css1.fsm"
case 'J':
#line 1126 "css1.fsm"
case 'K':
#line 1126 "css1.fsm"
case 'L':
#line 1126 "css1.fsm"
case 'M':
#line 1126 "css1.fsm"
case 'N':
#line 1126 "css1.fsm"
case 'O':
#line 1126 "css1.fsm"
case 'P':
#line 1126 "css1.fsm"
case 'Q':
#line 1126 "css1.fsm"
case 'R':
#line 1126 "css1.fsm"
case 'S':
#line 1126 "css1.fsm"
case 'T':
#line 1126 "css1.fsm"
case 'U':
#line 1126 "css1.fsm"
case 'V':
#line 1126 "css1.fsm"
case 'W':
#line 1126 "css1.fsm"
case 'X':
#line 1126 "css1.fsm"
case 'Y':
#line 1126 "css1.fsm"
case 'Z':
#line 1126 "css1.fsm"
case 'a':
#line 1126 "css1.fsm"
case 'b':
#line 1126 "css1.fsm"
case 'c':
#line 1126 "css1.fsm"
case 'd':
#line 1126 "css1.fsm"
case 'e':
#line 1126 "css1.fsm"
case 'f':
#line 1126 "css1.fsm"
case 'g':
#line 1126 "css1.fsm"
case 'h':
#line 1126 "css1.fsm"
case 'i':
#line 1126 "css1.fsm"
case 'j':
#line 1126 "css1.fsm"
case 'k':
#line 1126 "css1.fsm"
case 'l':
#line 1126 "css1.fsm"
case 'm':
#line 1126 "css1.fsm"
case 'n':
#line 1126 "css1.fsm"
case 'o':
#line 1126 "css1.fsm"
case 'p':
#line 1126 "css1.fsm"
case 'q':
#line 1126 "css1.fsm"
case 'r':
#line 1126 "css1.fsm"
case 's':
#line 1126 "css1.fsm"
case 't':
#line 1126 "css1.fsm"
case 'u':
#line 1126 "css1.fsm"
case 'v':
#line 1126 "css1.fsm"
case 'w':
#line 1126 "css1.fsm"
case 'x':
#line 1126 "css1.fsm"
case 'y':
#line 1126 "css1.fsm"
case 'z':
#line 1126 "css1.fsm"
fsm_append_char (m, (*data));
#line 1126 "css1.fsm"
m->state = BACKGROUND_NAME;
break;
#line 1127 "css1.fsm"
case '(':
#line 1127 "css1.fsm"
m->state = RETURN;
	if (!fsm_case_cmp(m, "url")) {
		fsm_push_state(m, BACKGROUND_URL_STORE);
		fsm_push_state(m, GENERIC_URL_ITSELF);
	} else if (!fsm_case_cmp(m, "rgb")) {
		x->part = 0;
		fsm_push_state(m, GENERIC_COLOR_RGB_R_LEAD);
		fsm_push_state(m, BACKGROUND);
	} else {
		fsm_push_state(m, LOSE);
	}
	continue;
break;
#line 1140 "css1.fsm"
default:
#line 1140 "css1.fsm"
m->state = BACKGROUND_NAME_LWS;
#line 1140 "css1.fsm"
continue;
break;
}
break;
#line 1143 "css1.fsm"
case 50:
#line 1143 "css1.fsm"
m->state = BACKGROUND;
	x->url = strdup(fsm_tmp_null_string(m));
	fsm_clear_string(m);
	continue;
break;
#line 1149 "css1.fsm"
case 51:
switch (*data) {
#line 1150 "css1.fsm"
case ' ':
#line 1150 "css1.fsm"
case  '\t':
#line 1150 "css1.fsm"
case  '\n':
#line 1150 "css1.fsm"
case  '\r':
#line 1150 "css1.fsm"
m->state = BACKGROUND_NAME_LWS;
break;
#line 1151 "css1.fsm"
case ';':
#line 1151 "css1.fsm"
case  '}':
#line 1151 "css1.fsm"
m->state = DONE;
	copy_css_color(&x->tail_rule->properties->background_color, &x->color[0]);
	x->tail_rule->properties->background_url = x->url;
	x->tail_rule->properties->background_repeat = x->integer[0];
	x->tail_rule->properties->background_scroll = x->integer[1];
	copy_css_length(&x->tail_rule->properties->background_position_y,
		&x->length[0]);
	copy_css_length(&x->tail_rule->properties->background_position_x,
		&x->length[1]);
	continue;
break;
#line 1162 "css1.fsm"
default:
#line 1162 "css1.fsm"
m->state = BACKGROUND;
	if (parse_name(m, &x->integer[0], background_repeat_mapping)) {
	} else if (parse_name(m, &x->integer[1], background_scroll_mapping)) {
	} else {
		/* FIXME this doesn't agressively LOSE */
		if (x->length[0].units) {
			if (parse_name(m, (int *) &x->length[1].units,
					length_unit_mapping)) {
				parse_name(m, (int *) &x->length[1].units,
					length_name_mapping);
			} else {
				fsm_append_to_null_string(m, &x->color[0].name);
			}
		} else {
			if (!parse_name(m, (int *) &x->length[0].units,
					length_unit_mapping)) {
				parse_name(m, (int *) &x->length[0].units,
					length_name_mapping);
			} else {
				fsm_append_to_null_string(m, &x->color[0].name);
			}
		}
	}
	continue;
break;
}
break;
#line 1190 "css1.fsm"
case 52:
switch (*data) {
#line 1191 "css1.fsm"
case '0':
#line 1191 "css1.fsm"
case '1':
#line 1191 "css1.fsm"
case '2':
#line 1191 "css1.fsm"
case '3':
#line 1191 "css1.fsm"
case '4':
#line 1191 "css1.fsm"
case '5':
#line 1191 "css1.fsm"
case '6':
#line 1191 "css1.fsm"
case '7':
#line 1191 "css1.fsm"
case '8':
#line 1191 "css1.fsm"
case '9':
#line 1191 "css1.fsm"
m->state = GENERIC_LENGTH;
	fsm_push_state(m, BORDER);
	continue;
break;
#line 1195 "css1.fsm"
case '#':
#line 1195 "css1.fsm"
m->state = GENERIC_COLOR_HASH;
break;
#line 1196 "css1.fsm"
case 'A':
#line 1196 "css1.fsm"
case 'B':
#line 1196 "css1.fsm"
case 'C':
#line 1196 "css1.fsm"
case 'D':
#line 1196 "css1.fsm"
case 'E':
#line 1196 "css1.fsm"
case 'F':
#line 1196 "css1.fsm"
case 'G':
#line 1196 "css1.fsm"
case 'H':
#line 1196 "css1.fsm"
case 'I':
#line 1196 "css1.fsm"
case 'J':
#line 1196 "css1.fsm"
case 'K':
#line 1196 "css1.fsm"
case 'L':
#line 1196 "css1.fsm"
case 'M':
#line 1196 "css1.fsm"
case 'N':
#line 1196 "css1.fsm"
case 'O':
#line 1196 "css1.fsm"
case 'P':
#line 1196 "css1.fsm"
case 'Q':
#line 1196 "css1.fsm"
case 'R':
#line 1196 "css1.fsm"
case 'S':
#line 1196 "css1.fsm"
case 'T':
#line 1196 "css1.fsm"
case 'U':
#line 1196 "css1.fsm"
case 'V':
#line 1196 "css1.fsm"
case 'W':
#line 1196 "css1.fsm"
case 'X':
#line 1196 "css1.fsm"
case 'Y':
#line 1196 "css1.fsm"
case 'Z':
#line 1196 "css1.fsm"
case 'a':
#line 1196 "css1.fsm"
case 'b':
#line 1196 "css1.fsm"
case 'c':
#line 1196 "css1.fsm"
case 'd':
#line 1196 "css1.fsm"
case 'e':
#line 1196 "css1.fsm"
case 'f':
#line 1196 "css1.fsm"
case 'g':
#line 1196 "css1.fsm"
case 'h':
#line 1196 "css1.fsm"
case 'i':
#line 1196 "css1.fsm"
case 'j':
#line 1196 "css1.fsm"
case 'k':
#line 1196 "css1.fsm"
case 'l':
#line 1196 "css1.fsm"
case 'm':
#line 1196 "css1.fsm"
case 'n':
#line 1196 "css1.fsm"
case 'o':
#line 1196 "css1.fsm"
case 'p':
#line 1196 "css1.fsm"
case 'q':
#line 1196 "css1.fsm"
case 'r':
#line 1196 "css1.fsm"
case 's':
#line 1196 "css1.fsm"
case 't':
#line 1196 "css1.fsm"
case 'u':
#line 1196 "css1.fsm"
case 'v':
#line 1196 "css1.fsm"
case 'w':
#line 1196 "css1.fsm"
case 'x':
#line 1196 "css1.fsm"
case 'y':
#line 1196 "css1.fsm"
case 'z':
#line 1196 "css1.fsm"
m->state = BORDER_NAME;
#line 1196 "css1.fsm"
continue;
break;
}
break;
#line 1199 "css1.fsm"
case 53:
switch (*data) {
#line 1200 "css1.fsm"
case 'A':
#line 1200 "css1.fsm"
case 'B':
#line 1200 "css1.fsm"
case 'C':
#line 1200 "css1.fsm"
case 'D':
#line 1200 "css1.fsm"
case 'E':
#line 1200 "css1.fsm"
case 'F':
#line 1200 "css1.fsm"
case 'G':
#line 1200 "css1.fsm"
case 'H':
#line 1200 "css1.fsm"
case 'I':
#line 1200 "css1.fsm"
case 'J':
#line 1200 "css1.fsm"
case 'K':
#line 1200 "css1.fsm"
case 'L':
#line 1200 "css1.fsm"
case 'M':
#line 1200 "css1.fsm"
case 'N':
#line 1200 "css1.fsm"
case 'O':
#line 1200 "css1.fsm"
case 'P':
#line 1200 "css1.fsm"
case 'Q':
#line 1200 "css1.fsm"
case 'R':
#line 1200 "css1.fsm"
case 'S':
#line 1200 "css1.fsm"
case 'T':
#line 1200 "css1.fsm"
case 'U':
#line 1200 "css1.fsm"
case 'V':
#line 1200 "css1.fsm"
case 'W':
#line 1200 "css1.fsm"
case 'X':
#line 1200 "css1.fsm"
case 'Y':
#line 1200 "css1.fsm"
case 'Z':
#line 1200 "css1.fsm"
case 'a':
#line 1200 "css1.fsm"
case 'b':
#line 1200 "css1.fsm"
case 'c':
#line 1200 "css1.fsm"
case 'd':
#line 1200 "css1.fsm"
case 'e':
#line 1200 "css1.fsm"
case 'f':
#line 1200 "css1.fsm"
case 'g':
#line 1200 "css1.fsm"
case 'h':
#line 1200 "css1.fsm"
case 'i':
#line 1200 "css1.fsm"
case 'j':
#line 1200 "css1.fsm"
case 'k':
#line 1200 "css1.fsm"
case 'l':
#line 1200 "css1.fsm"
case 'm':
#line 1200 "css1.fsm"
case 'n':
#line 1200 "css1.fsm"
case 'o':
#line 1200 "css1.fsm"
case 'p':
#line 1200 "css1.fsm"
case 'q':
#line 1200 "css1.fsm"
case 'r':
#line 1200 "css1.fsm"
case 's':
#line 1200 "css1.fsm"
case 't':
#line 1200 "css1.fsm"
case 'u':
#line 1200 "css1.fsm"
case 'v':
#line 1200 "css1.fsm"
case 'w':
#line 1200 "css1.fsm"
case 'x':
#line 1200 "css1.fsm"
case 'y':
#line 1200 "css1.fsm"
case 'z':
#line 1200 "css1.fsm"
case '0':
#line 1200 "css1.fsm"
case '1':
#line 1200 "css1.fsm"
case '2':
#line 1200 "css1.fsm"
case '3':
#line 1200 "css1.fsm"
case '4':
#line 1200 "css1.fsm"
case '5':
#line 1200 "css1.fsm"
case '6':
#line 1200 "css1.fsm"
case '7':
#line 1200 "css1.fsm"
case '8':
#line 1200 "css1.fsm"
case '9':
#line 1200 "css1.fsm"
case '_':
#line 1200 "css1.fsm"
fsm_append_char (m, (*data));
#line 1200 "css1.fsm"
m->state = BORDER_NAME;
break;
#line 1201 "css1.fsm"
case '(':
#line 1201 "css1.fsm"
m->state = RETURN;
	if (!fsm_case_cmp(m, "rgb")) {
		x->part = 0;
		fsm_push_state(m, GENERIC_COLOR_RGB_R_LEAD);
		fsm_push_state(m, BORDER);
	} else {
		fsm_push_state(m, LOSE);
	}
	continue;
break;
#line 1211 "css1.fsm"
default:
#line 1211 "css1.fsm"
m->state = BORDER_LWS;
	if (parse_name(m, &x->integer[0], border_style_mapping)) {
	} else if (parse_name(m, (int *) &x->length[0].units,
			length_unit_mapping)) {
		parse_name(m, (int *) &x->length[0].value,
			length_name_mapping);
	} else {
		fsm_append_to_null_string(m, &x->color[0].name);
	}
	continue;
break;
}
break;
#line 1225 "css1.fsm"
case 54:
switch (*data) {
#line 1226 "css1.fsm"
case ' ':
#line 1226 "css1.fsm"
case  '\t':
#line 1226 "css1.fsm"
case  '\n':
#line 1226 "css1.fsm"
case  '\r':
#line 1226 "css1.fsm"
m->state = BORDER_LWS;
break;
#line 1227 "css1.fsm"
case ';':
#line 1227 "css1.fsm"
case  '}':
#line 1227 "css1.fsm"
m->state = DONE;
	for (i = 0; i < 3; i++) {
		border = x->dest[i];
		if (border) {
			border->style = x->integer[0];
			copy_css_length(&border->width, &x->length[0]);
			copy_css_color(&border->color, &x->color[0]);
		}
	}
	continue;
break;
#line 1238 "css1.fsm"
default:
#line 1238 "css1.fsm"
m->state = LOSE;
#line 1238 "css1.fsm"
continue;
break;
}
break;
#line 1242 "css1.fsm"
case 55:
switch (*data) {
#line 1243 "css1.fsm"
case 'A':
#line 1243 "css1.fsm"
case 'B':
#line 1243 "css1.fsm"
case 'C':
#line 1243 "css1.fsm"
case 'D':
#line 1243 "css1.fsm"
case 'E':
#line 1243 "css1.fsm"
case 'F':
#line 1243 "css1.fsm"
case 'G':
#line 1243 "css1.fsm"
case 'H':
#line 1243 "css1.fsm"
case 'I':
#line 1243 "css1.fsm"
case 'J':
#line 1243 "css1.fsm"
case 'K':
#line 1243 "css1.fsm"
case 'L':
#line 1243 "css1.fsm"
case 'M':
#line 1243 "css1.fsm"
case 'N':
#line 1243 "css1.fsm"
case 'O':
#line 1243 "css1.fsm"
case 'P':
#line 1243 "css1.fsm"
case 'Q':
#line 1243 "css1.fsm"
case 'R':
#line 1243 "css1.fsm"
case 'S':
#line 1243 "css1.fsm"
case 'T':
#line 1243 "css1.fsm"
case 'U':
#line 1243 "css1.fsm"
case 'V':
#line 1243 "css1.fsm"
case 'W':
#line 1243 "css1.fsm"
case 'X':
#line 1243 "css1.fsm"
case 'Y':
#line 1243 "css1.fsm"
case 'Z':
#line 1243 "css1.fsm"
case 'a':
#line 1243 "css1.fsm"
case 'b':
#line 1243 "css1.fsm"
case 'c':
#line 1243 "css1.fsm"
case 'd':
#line 1243 "css1.fsm"
case 'e':
#line 1243 "css1.fsm"
case 'f':
#line 1243 "css1.fsm"
case 'g':
#line 1243 "css1.fsm"
case 'h':
#line 1243 "css1.fsm"
case 'i':
#line 1243 "css1.fsm"
case 'j':
#line 1243 "css1.fsm"
case 'k':
#line 1243 "css1.fsm"
case 'l':
#line 1243 "css1.fsm"
case 'm':
#line 1243 "css1.fsm"
case 'n':
#line 1243 "css1.fsm"
case 'o':
#line 1243 "css1.fsm"
case 'p':
#line 1243 "css1.fsm"
case 'q':
#line 1243 "css1.fsm"
case 'r':
#line 1243 "css1.fsm"
case 's':
#line 1243 "css1.fsm"
case 't':
#line 1243 "css1.fsm"
case 'u':
#line 1243 "css1.fsm"
case 'v':
#line 1243 "css1.fsm"
case 'w':
#line 1243 "css1.fsm"
case 'x':
#line 1243 "css1.fsm"
case 'y':
#line 1243 "css1.fsm"
case 'z':
#line 1243 "css1.fsm"
fsm_append_char (m, (*data));
#line 1243 "css1.fsm"
m->state = LIST_STYLE;
break;
#line 1244 "css1.fsm"
case '(':
#line 1244 "css1.fsm"
m->state = RETURN;
	if (!fsm_case_cmp(m, "url")) {
		fsm_push_state(m, GENERIC_URL_ITSELF);
		fsm_push_state(m, LIST_STYLE_URL_STORE);
	} else {
		fsm_push_state(m, LOSE);
	}
	continue;
break;
#line 1253 "css1.fsm"
default:
#line 1253 "css1.fsm"
m->state = LIST_STYLE_LWS;
	if (!parse_name(m, &x->integer[0], list_style_position_mapping)) {
	} else if (!parse_name(m, &x->integer[0], list_style_type_mapping)) {
	} else {
		/* FIXME should lose */
	}
	continue;
break;
}
break;
#line 1263 "css1.fsm"
case 56:
#line 1263 "css1.fsm"
m->state = LIST_STYLE_LWS;
	fsm_append_to_null_string(m, &x->url);
	continue;
break;
#line 1268 "css1.fsm"
case 57:
switch (*data) {
#line 1269 "css1.fsm"
case ' ':
#line 1269 "css1.fsm"
case  '\t':
#line 1269 "css1.fsm"
case  '\n':
#line 1269 "css1.fsm"
case  '\r':
#line 1269 "css1.fsm"
m->state = LIST_STYLE_LWS;
break;
#line 1270 "css1.fsm"
case ';':
#line 1270 "css1.fsm"
case  '}':
#line 1270 "css1.fsm"
m->state = DONE;
	x->tail_rule->properties->list_style_position = x->integer[0];
	x->tail_rule->properties->list_style_type = x->integer[1];
	x->tail_rule->properties->list_style_image_url = x->url;
	continue;
break;
#line 1276 "css1.fsm"
default:
#line 1276 "css1.fsm"
m->state = LOSE;
#line 1276 "css1.fsm"
continue;
break;
}
break;
#line 1279 "css1.fsm"
case 58:
switch (*data) {
#line 1280 "css1.fsm"
case ';':
#line 1280 "css1.fsm"
m->state = PROPERTY;
break;
#line 1281 "css1.fsm"
case '}':
#line 1281 "css1.fsm"
m->state = SELECTOR;
	x->new_rule = 1;
break;
}
break;
#line 1286 "css1.fsm"
case 59:
switch (*data) {
#line 1287 "css1.fsm"
case ';':
#line 1287 "css1.fsm"
m->state = PROPERTY;
break;
#line 1288 "css1.fsm"
case '}':
#line 1288 "css1.fsm"
m->state = SELECTOR;
break;
#line 1289 "css1.fsm"
default:
#line 1289 "css1.fsm"
m->state = LOSE;
break;
}
break;
#line 1292 "css1.fsm"
case 60:
switch (*data) {
#line 1293 "css1.fsm"
case '*':
#line 1293 "css1.fsm"
m->state = COMMENT;
break;
#line 1294 "css1.fsm"
default:
#line 1294 "css1.fsm"
m->state = SELECTOR;
break;
}
break;
#line 1297 "css1.fsm"
case 61:
switch (*data) {
#line 1298 "css1.fsm"
case '*':
#line 1298 "css1.fsm"
m->state = COMMENT_END;
break;
#line 1299 "css1.fsm"
default:
#line 1299 "css1.fsm"
m->state = COMMENT;
break;
}
break;
#line 1302 "css1.fsm"
case 62:
switch (*data) {
#line 1303 "css1.fsm"
case '/':
#line 1303 "css1.fsm"
m->state = SELECTOR;
break;
#line 1304 "css1.fsm"
default:
#line 1304 "css1.fsm"
m->state = COMMENT;
break;
}
break;
}
data++, data_size--;
}
}
